<?php if (!defined('__SHOP__')) {
    die('');
}

define('VER', '3.4.0');
define('SUB', ' community');
define('STOPKA', "<a href='http://shop-engine.pl/' target='_blank' title='sklep automatyczny do cs'>SHOP | ENGINE ver. " . VER . SUB . '</a> © <a href="http://shop-engine.pl/" target="_blank" title="XvAK">XvAK</a>');

define('ACP', 'admin');
define('PUB', 'public');
define('KERNEL', 'kernel');
define('STYLE', 'style');

define('DS', DIRECTORY_SEPARATOR);
define('ROOT_PATH', str_replace("\\", DS, dirname(__FILE__)) . DS);

date_default_timezone_set('Europe/Warsaw');
setlocale(LC_TIME, "pl_PL");

@require_once(ROOT_PATH . 'config.php');

if (!isset($cfg['DEBUG'])) $cfg['DEBUG'] = 0;
if (!isset($cfg['ERROR_SQL'])) $cfg['ERROR_SQL'] = 0;
if (!isset($cfg['SHOW_SQL_QUERY'])) $cfg['SHOW_SQL_QUERY'] = 0;
if (!isset($cfg['SHOW_SQL_QUERY_IP'])) $cfg['SHOW_SQL_QUERY_IP'] = '*';
if (!isset($cfg['DEBUG_GG'])) $cfg['DEBUG_GG'] = 0;
if (!isset($cfg['ROOT'])) $cfg['ROOT'] = 0;

if (isset($cfg['shop_url'])) {
    if (substr($cfg['shop_url'], -1, strlen($cfg['shop_url']) - 1) == '/') {
        $cfg['shop_url'] = substr($cfg['shop_url'], 0, strlen($cfg['shop_url']) - 1);
    }

    define('AD', '<img src="' . $cfg['shop_url'] . '/?img=ad.gif" height="1" width="1">');
} else {
    define('AD', '');
}

if ($cfg['DEBUG'] == true) {
    (defined('E_DEPRECATED')) ? error_reporting(E_ALL & ~E_DEPRECATED) : error_reporting(E_ALL);
    ini_set('display_errors', 1);
} else {
    ini_set('display_errors', 0);
}

function is_session_started()
{
    if (php_sapi_name() !== 'cli') {
        if (version_compare(phpversion(), '5.4.0', '>=')) {
            return session_status() === PHP_SESSION_ACTIVE ? TRUE : FALSE;
        } else {
            return session_id() === '' ? FALSE : TRUE;
        }
    }
    return FALSE;
}

if (is_session_started() === FALSE) @session_start();

@ob_start();

$path = ROOT_PATH . KERNEL . DS . 'class_Engine.php';
if (@file_exists($path)) {
    require_once($path);
    if (!class_exists('Engine')) {
        die('Nie można odczytać pliku class_Engine.php');
    }
} else {
    die('Nie odnaleziono pliku class_Engine.php');
}
