<?php if(!defined('__SHOP__')){die('');}

require_once(ROOT_PATH . KERNEL . DS . 'class_DB.php');
require_once(ROOT_PATH . KERNEL . DS . 'class_Theme.php');
require_once(ROOT_PATH . KERNEL . DS . 'class_Login.php');
require_once(ROOT_PATH . KERNEL . DS . 'class_Check.php');

class Engine
{
	public static function run($type = NULL)
	{
		global $result,$mysql,$cfg;
		global $configLoad;
		global $engine;
		global $login;
		global $login_cfg;
		global $acp;
		global $ucp_scripts;
		global $install;

		if (!class_exists('Engine')) {
			echo __FILE__ . ":" . __LINE__. "<br>";
			die('Nie można odczytać pliku class_Engine.php');
		}
		$engine = new Engine();
		$engine -> gt_start();

		$shop_url = (isset($cfg['shop_url'])) ? $cfg['shop_url'] : '';
		$shop_url = str_replace("http://", "", $shop_url);
		$shop_url = str_replace("https://", "", $shop_url);

		$aktualny_url = $_SERVER['SERVER_NAME'];
		if(!empty($shop_url)) {
			if(strpos($aktualny_url, $shop_url) === false) {
				if($type == 1) {
					header("Location: " . $cfg['shop_url']);
				}
			}
		}
		if($type == 'install') {
			$engine->configLoad();
			require_once(ROOT_PATH . KERNEL . DS . 'class_Install.php');
			if (!class_exists('Install')) {
				echo __FILE__ . ":" . __LINE__. "<br>";
				die('Nie można odczytać pliku class_Install.php');
			}
			$install = new Install();
			if((isset($_SESSION['Ver']) && $_SESSION['Ver'] == '') || empty($cfg['host'])) {
				$install -> setup();
			} else {
				if(isset($_SESSION['update']) && $_SESSION['update'] == '30to30') {
					if($_SESSION['Ver'] != VER && $cfg['shop_url']) {
						$install -> update();
					} else if (!empty($cfg['shop_url'])) {
						$install -> update();
					}
				} else {
					$install -> setup();
				}
			}
			exit();
		}

		if (!class_exists('mysql')) {
			echo __FILE__ . ":" . __LINE__. "<br>";
			die('Nie można odczytać pliku class_DB.php');
		}
		$mysql = new mysql();
		$mysql -> connect();

		require_once(ROOT_PATH . KERNEL . DS . 'class_UCP_Scripts.php');
		if (!class_exists('UCP_Scripts')) {
			echo __FILE__ . ":" . __LINE__. "<br>";
			die('Nie można odczytać pliku class_UCP_Scripts.php');
		}
		$ucp_scripts = new UCP_Scripts();

		require_once(ROOT_PATH . KERNEL . DS . 'class_ACP.php');
		if (!class_exists('ACP')) {
			echo __FILE__ . ":" . __LINE__. "<br>";
			die('Nie można odczytać pliku class_ACP.php');
		}
		$acp = new ACP();

		if (!class_exists('Login')) {
			echo __FILE__ . ":" . __LINE__. "<br>";
			die('Nie można odczytać pliku class_Login.php');
		}
		$login = new Login();

		$login_cfg = '';
		if(isset($_SESSION['logged'])) {
			if ($_SESSION['logged']) {
				$login_cfg = $login->_checkSession();
			} elseif (isset($_COOKIE['se3_cookie'])) {
				$login_cfg = $login->_checkRemembered($_COOKIE['se3_cookie']);
			}
		} elseif (isset($_COOKIE['se3_cookie'])) {
			$login_cfg = $login->_checkRemembered($_COOKIE['se3_cookie']);
		}

		if (!isset($_SESSION['uid']) ) {
			$login -> session_defaults();
			$engine->configLoad();
		}

		if($type == 2) {
			if($acp->_levels('acp')) {
				$engine->configLoad();
				$engine->index(2);
			} else {
				echo $login->login();
			}
		} else {
			if(isset($_GET['ip'])) {
				echo $engine->ip();
			} else if(isset($_GET['spr_form'])) {
				$engine->configLoad();
				if (!class_exists('Form')) {
					echo __FILE__ . ":" . __LINE__. "<br>";
					die('Nie można odczytać pliku class_Form.php');
				}
				$form = new Form();
				$form->spr_form();
			} else if(isset($_GET['autodel'])) {
				$engine->configLoad();
				if($configLoad['autodel_cron'] == 1)
					$acp->autodel();
			} else if(isset($_GET['img']) && $_GET['img'] == 'ad.gif') {
				$engine->configLoad();
				$acp->autodel_img();
			} else if(isset($_POST['submit_ucp'])) {
				$ucp_scripts -> edycja();
				$ref = $_SERVER['HTTP_REFERER'];
				header("Location: " . $ref);
			} else if(isset($_POST['submit_przypisz'])) {
				$_SESSION['return'] = $ucp_scripts -> przypisz_submit();
				$ref = $_SERVER['HTTP_REFERER'];
				header("Location: " . $ref);
			} else if(isset($_GET['orderid']) && isset($_GET['status'])) {
				$engine->configLoad();
				require_once(ROOT_PATH . KERNEL . DS . 'class_Payment.php');
				if (!class_exists('payment')) {
					echo __FILE__ . ":" . __LINE__. "<br>";
					die('Nie można odczytać pliku class_Payment.php');
				}
				$payment = new payment();
				$payment->checkPAY($configLoad['cash_payment'], 'check');
				header("Location: " . $cfg['shop_url']."/#doladuj_status/ucp");
			} else if(isset($_POST['submit_zmienhasla'])) {
				$_SESSION['return'] = $ucp_scripts -> zmienhasla_submit();
				$ref = $_SERVER['HTTP_REFERER'];
				header("Location: " . $ref);
			} else if(isset($_POST['submit_przelew'])) {
				$_SESSION['kwota'] = str_replace(',', '.', addslashes($_POST['ilosc_przelew']));
				foreach($_POST as $i=>$v){
					$tag = 'x.';
					$_SESSION[$i] = $tag.$_POST[$i];
				}
				$ref = $_SERVER['HTTP_REFERER'];
				header("Location: " . $ref);
			} else if(isset($_GET['page']) && $_GET['page'] != '') {
				if(isset($_POST['page_update']) && $_POST['page_update'] != '') {
					require_once(ROOT_PATH . KERNEL . DS . 'class_ACP.php');
					if (!class_exists('ACP')) {
						echo __FILE__ . ":" . __LINE__. "<br>";
						die('Nie można odczytać pliku class_ACP.php');
					}
					$acp = new ACP();
					if($cfg['ROOT'] == 1 || $acp->_levels('editpage')) {
						$engine->page_update($_GET['page'], addslashes($_POST['page_update']));
					}
				}
				$engine->configLoad();
				$engine->index(0);
			} else {
				$engine->configLoad();
				$engine->index(1);
			}
		}
		$mysql -> end();
	}

	public function index($first = true)
	{
		global $mysql;
		global $engine;
		global $configLoad;

		if (!class_exists('Theme')) {
			echo __FILE__ . ":" . __LINE__. "<br>";
			die('Nie można odczytać pliku class_Theme.php');
		}
		$theme = new Theme();

		$theme -> createTheme($first);
		$engine -> gt_stop();
	}

	public function configLoad($force = 0)
	{
		global $result,$mysql,$cfg;
		global $configLoad;
		global $engine;

		if(!$configLoad || $force == 1) {
			if(isset($cfg['host'])) {
				if (!class_exists('mysql')) {
					echo __FILE__ . ":" . __LINE__. "<br>";
					die('Nie można odczytać pliku class_DB.php');
				}
				$mysql = new mysql();
				$mysql -> connect();

				$sql = "SELECT * FROM `".$cfg['prefix']."config` WHERE `Id` = '1';";
				$mysql->query($sql); $configLoad = mysql_fetch_array($result);
				$_SESSION['Style'] = $configLoad['Style'];
				$_SESSION['Check'] = $configLoad['Check'];

				$_SESSION['Ver'] = $configLoad['Ver'];
				$_SESSION['shop_on'] = $configLoad['shop_on'];

                $_SESSION['Operator'] = $configLoad['Operator'];

				if (strnatcmp($configLoad['Ver'],VER) >= 0) {

				} else {
					$x = stripos($_SERVER['SCRIPT_NAME'], '/admin/install/index.php');
					if($x == false) {
						if($configLoad['Ver'] != '') {
							$_SESSION['update'] = '30to30';
						}
						if($cfg['shop_url'] != '') {
							$shop_url = $cfg['shop_url'];
							$shop_url = str_replace("http://", "", $shop_url);
							$shop_url = str_replace("https://", "", $shop_url);
							$link = $shop_url . '/admin/install/';
							$link = str_replace("//", "/", $link);
							if($_SERVER['SCRIPT_NAME'] != '/admin/install/index.php') {
								header("Location: " . 'http://' . $link);
							}
						} else {
							header("Location: ./admin/install/");
						}
					}
				}
			} else {
				$_SESSION['Style'] = NULL;
				$_SESSION['Check'] = NULL;
				$_SESSION['Operator'] = NULL;
				$_SESSION['Ver'] = NULL;
				$_SESSION['shop_on'] = NULL;
			}
		}
	}

	public function page_update($page = null, $text = null)
	{
		global $result,$mysql,$cfg;
		global $configLoad;

		$sql = "UPDATE `".$cfg['prefix']."pages` SET `text` = '$text' WHERE `href` = '$page' LIMIT 1;";
		$mysql->query($sql);
	}

	public function gt_start()
	{
		global $starttime;
		$mtime = microtime();
		$mtime = explode(' ', $mtime);
		$mtime = $mtime[1] + $mtime[0];
		$starttime = $mtime;
	}

	public function gt_stop()
	{
		global $starttime, $iloscZapytan;

		$mtime = microtime();
		$mtime = explode(' ', $mtime);
		$mtime = $mtime[1] + $mtime[0];
		$endtime = $mtime;
		$totaltime = round(($endtime - $starttime), 5);

		echo "\n\r<script type=\"text/javascript\">if(l!=1){document.getElementById('gt').innerHTML='$totaltime';var y=$totaltime}else{document.getElementById('gt').innerHTML=Math.round((y+$totaltime)*100000)/100000}l++;if(z!=1){document.getElementById('sql').innerHTML='$iloscZapytan';var x=$iloscZapytan}else{document.getElementById('sql').innerHTML=(x+$iloscZapytan)}z++;</script>";
	}

	public function ip()
	{
		$ip='';
		if ( !empty($_SERVER['HTTP_CLIENT_IP']))
		{
			$ip=$_SERVER['HTTP_CLIENT_IP'];
		}
		elseif (	!empty($_SERVER['HTTP_X_FORWARDED_FOR']))
		{
			$ip=$_SERVER['HTTP_X_FORWARDED_FOR'];
		}
		else
		{
			$ip=$_SERVER['REMOTE_ADDR'];
		}

		return mysql_real_escape_string($ip);
	}

	public function online()
	{
		global $result,$mysql,$cfg;
		global $configLoad;
		global $engine;
		global $login;

		$ip = $engine->ip();
		if (!isset($_COOKIE[$cfg['prefix'].'stats']))
		{
			$idses = sha1(uniqid());
			setcookie($cfg['prefix'].'stats', $idses, time() + 60 * 60 * 24, '/', $_SERVER['SERVER_NAME']);
		}
		else
		{
			$idses = mysql_real_escape_string($_COOKIE[$cfg['prefix'].'stats']);
		}

		$czas = time();
		$min_czas = 300;
		$online = $czas - $min_czas;
		$lastday = $czas - 86400;
		$last = mysql_real_escape_string("http://".$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI']);

		$mysql->query("SELECT `id`,`time`,`last`,`first` FROM `" . $cfg['database'] . "`.`" . $cfg['prefix'] . "stats` WHERE `idses`='$idses' AND `ip`='$ip' AND `time` >= '$lastday' LIMIT 1;");
		$array = mysql_fetch_array($result);
		$id = $array[0];
		$old_time = $array[1];
		$old_last = $array[2];
		$first = $array[3];

		if($old_time != '') {
			$_SESSION['last_visit'] = $first;
		}

		if (mysql_num_rows($result) == 0)
		{
			$host = @gethostbyaddr($ip);
			if(isset($_SERVER['HTTP_REFERER'])) {
				$ref = mysql_real_escape_string($_SERVER['HTTP_REFERER']);
			} else {
				$ref = '';
			}
			$browser = mysql_real_escape_string($_SERVER['HTTP_USER_AGENT']);
			$mysql->query("INSERT INTO `" . $cfg['database'] . "`.`" . $cfg['prefix'] . "stats` (`id`, `idses`, `time`, `ip`, `host`, `ref`, `browser`, `last`, `first`) VALUES (NULL, '$idses', '$czas', '$ip', '$host', '$ref', '$browser', '$last', '$czas');");
		}
		else
		{
			if ($czas-$old_time > $min_czas)
			{
				$mysql->query("UPDATE `" . $cfg['database'] . "`.`" . $cfg['prefix'] . "stats` SET `time` = '$czas', `last` = '$last' WHERE `id` = '$id';");
				$_SESSION['banned'] = NULL;
			}
			if ($last != $old_last)
			{
				$mysql->query("UPDATE `" . $cfg['database'] . "`.`" . $cfg['prefix'] . "stats` SET `last` = '$last' WHERE `id` = '$id';");
			}
		}

		$mysql->query("SELECT * FROM `" . $cfg['database'] . "`.`" . $cfg['prefix'] . "stats` WHERE `time` >= '$online';");
		$liczbauq = mysql_num_rows($result);

		if($liczbauq==0) {
			return 1;
		} else {
			return $liczbauq;
		}
	}

	public function truncateUrl($url,$start,$end,$limit){
			if(strlen($url)>$limit){
					$poczatek = substr($url,0,$start);
					$koniec = substr($url,-$end);
					$newUrl = $poczatek.'...'.$koniec;
					return $newUrl;
			}else{
					return $url;
			}
	}

	public function logfile($text, $linia = NULL, $plik = NULL, $metoda = NULL)
	{
		global $configLoad;
		global $cfg;

		if(isset($cfg['DEBUG']) && $cfg['DEBUG'] == 1) {
			$plik_l = '';

			if(!empty($linia)) {
				$plik_l = $plik . ':' . $linia;
			}

			$date = date("Y_m_d");
			$datea = date(DATE_RFC822);
			$ip = $_SERVER['REMOTE_ADDR'];
			$url = $_SERVER["SERVER_NAME"] . $_SERVER["REQUEST_URI"];
			$s1 = '------------------------------------------------------------------------------------------------------------------------------';
			$s2 = '---';
			$dane = "

$s1
 Data: $datea
 IP: $ip
 Link: $url
 Plik: $plik_l
 Metoda: $metoda
$s2
 $text
$s1
";
			$file = ROOT_PATH . DS . 'cache' . DS . 'log_' . $date . '.cgi';
			$fp = @fopen($file, "a");
			$fl = @flock($fp, 2);
			if($fl) {
				fwrite($fp, $dane);
				flock($fp, 3);
			}
			@fclose($fp);
		}
	}

}

