<?php if(!defined('__SHOP__')){die('');}

require_once(ROOT_PATH . KERNEL . DS . 'class_Form.php');
require_once(ROOT_PATH . KERNEL . DS . 'class_ACP.php');
require_once(ROOT_PATH . KERNEL . DS . 'class_UCP.php');
require_once(ROOT_PATH . KERNEL . DS . 'class_Scripts.php');
require_once(ROOT_PATH . KERNEL . DS . 'class_Theme.php');

class Main
{
	public function load($first = true)
	{
		global $configLoad;
		global $result,$mysql,$cfg;
		global $theme, $main;
		global $engine;
		global $uqform;
		global $login;
		global $login_cfg;
		global $acp;
		global $app;

		$dane = '';

		if (!class_exists('Theme')) {
			echo __FILE__ . ":" . __LINE__. "<br>";
			die('Nie można odczytać pliku class_Theme.php');
		}
		$theme = new Theme();

		if (!class_exists('Login')) {
			echo __FILE__ . ":" . __LINE__. "<br>";
			die('Nie można odczytać pliku class_Login.php');
		}
		$login = new Login();

		if(isset($_GET['wyloguj']))
		{
			$login->_logout();
		}

		if($first == 2) {
			if (!class_exists('ACP')) {
				echo __FILE__ . ":" . __LINE__. "<br>";
				die('Nie można odczytać pliku cla1ss_ACP.php');
			}
			$acp = new ACP();
			if ($login_cfg) {
				if(!isset($_GET['app']) || empty($_GET['app'])) {
					$_GET['app'] = 'index';
				}
				$theme->getadmin('header.php',1);
				$theme->getadmin($_GET['app']);
				$theme->getadmin('footer.php',1);
			} else {
				$login->login();
			}
		} else if($first == 1 && isset($_GET['zaloguj'])) {
			$dane .= $login->login();
		} else if($first == 1 && isset($_GET['rejestracja'])) {
			$dane .= $login->rejestracja();
		} else if($first == 1 && ($_SESSION['shop_on'] == 1 || $acp->_levels('acp'))) {
			// Pierwsze ladowanie
			$dane = '';
			if($_SESSION['shop_on'] == 0) {
				$dane .= '<div class="alert_error" style="display: block;margin:10px">Sklep jest wyłączony.</div>';
			}
			$dane .= $theme->get(STYLE_PATH . '__index.html');
			preg_match_all('#(()[\w-]{1,}\.[a-z]{2,})#', $dane, $matches);
			foreach($matches[0] as $include)
			{
				$dane = str_replace("{!#include='$include'}", $theme->get(STYLE_PATH . $include), $dane);
			}

			$dane = $theme->menu($dane);

			if(!isset($_SESSION['last_visit'])) {
				$_SESSION['last_visit'] = time();
			}

			$now = time();
			$last = $_SESSION['last_visit'];

			$now_0 = date("Y/m/d", $now);
			$now_1 = date("Y/m/d", $now - (24*60*60));
			$last_d = date("Y/m/d", $last);

			if($now_0 == $last_d) {
				$data = 'dziś, ' . date("H:i", $last);
			} else if($now_1 == $last_d) {
				$data = 'wczoraj, ' . date("H:i", $last);
			} else {
				$data = date("Y/m/d H:i", $last);
			}

			$dane = str_replace('{!#TITLE}', $configLoad['Title'], $dane);
			$dane = str_replace('{!#STYLEPATH}', STYLE_PATH, $dane);
			$dane = str_replace('{!#THETIME}', strftime('%d %b %Y %H:%M'), $dane);
			$dane = str_replace('{!#LAST}', $data, $dane);
			$dane = str_replace('{!#GENTIME}', '<span id="gt"></span>', $dane);
			$dane = str_replace('{!#SQL}', '<span id="sql"></span>', $dane);
			$dane = str_replace('{!#ONLINE}', $engine->online(), $dane);
			$dane = str_replace('{!#LINKS}', $theme->linki(), $dane);

			if(isset($_SESSION['username']) && !empty($_SESSION['username'])) {
				#if zalogowany
				preg_match_all('/\{if{zalogowany}}(.*?)\{\/if{zalogowany}}/isx', $dane, $arr, PREG_PATTERN_ORDER);
				$dane = str_replace($arr[0], $arr[1], $dane);

				#if niezalogowany
				preg_match_all('/\{if{niezalogowany}}(.*?)\{\/if{niezalogowany}}/isx', $dane, $arr, PREG_PATTERN_ORDER);
				$dane = str_replace($arr[0], '', $dane);

				$dane = str_replace('{!#PORTFEL}', '<li><a>Stan konta: <span id="portfel">'.number_format($login_cfg['portfel'],2,',','').'</span> wPLN</a></li>', $dane);
				$dane = str_replace('{!#LOGIN}', '<li><a>'.$_SESSION['username'].' (ID: '.$login_cfg['id'].')</a></li>', $dane);
				$dane = str_replace('{!#LOGINOUT}', '<li><a href="?wyloguj">Wyloguj</a></li>', $dane);

				if (!class_exists('ACP')) {
					echo __FILE__ . ":" . __LINE__. "<br>";
					die('Nie można odczytać pliku cla1ss_ACP.php');
				}
				$acp = new ACP();

				if($acp->_levels('acp')) {
					$dane = str_replace('{!#LOGINACP}', '<li><a href="./admin" title="Panel administracyjny" target="_blank">Panel administracyjny</a></li>', $dane);
				} else {
				$dane = str_replace('{!#LOGINACP}', '', $dane);
				}
				if($acp->_levels('ucp')) {
					$dane = str_replace('{!#LOGINUCP}', '<li><a href="#ucp" title="Panel użytkownika">Panel użytkownika</a></li>', $dane);
				} else {
				$dane = str_replace('{!#LOGINUCP}', '', $dane);
				}
			} else {
				#if zalogowany
				preg_match_all('/\{if{zalogowany}}(.*?)\{\/if{zalogowany}}/isx', $dane, $arr, PREG_PATTERN_ORDER);
				$dane = str_replace($arr[0], '', $dane);

				#if niezalogowany
				preg_match_all('/\{if{niezalogowany}}(.*?)\{\/if{niezalogowany}}/isx', $dane, $arr, PREG_PATTERN_ORDER);
				$dane = str_replace($arr[0], $arr[1], $dane);

				$dane = str_replace('{!#PORTFEL}', '', $dane);
				$dane = str_replace('{!#LOGIN}', '', $dane);
				$dane = str_replace('{!#LOGINACP}', '', $dane);
				$dane = str_replace('{!#LOGINUCP}', '', $dane);
				$dane = str_replace('{!#LOGINOUT}', '<li><a href="?zaloguj" title="Logowanie »" id="sign_in">Logowanie »</a></li><li><a href="?rejestracja"  title="Rejestracja" id="register_link">Rejestracja</a></li>', $dane);
			}

			if(strpos($dane, '{!#STOPKA}')) {
				$dane = str_replace('{!#STOPKA}', STOPKA, $dane);
			} else {
				die('Brak stopki!');
			}

			$engine->logfile($_SESSION['Check'], __LINE__, __FILE__, __METHOD__);
			if(isset($_SESSION['Check']) && $_SESSION['Check'] == 0 && isset($_POST['submit'])) {
				$_SESSION['created'] = $created = time();

				if (!class_exists('Form')) {
					echo __FILE__ . ":" . __LINE__. "<br>";
					die('Nie można odczytać pliku class_Form.php');
				}
				$form = new Form();
				if (!class_exists('check')) {
					echo __FILE__ . ":" . __LINE__. "<br>";
					die('Nie można odczytać pliku class_Check.php');
				}
				$check = new check();

				$engine->logfile('', __LINE__, __FILE__, __METHOD__);
				$uqform = $form -> wyslijFormularz($created);
				$engine->logfile($uqform, __LINE__, __FILE__, __METHOD__);
				$_SESSION['form'] = $uqform;
				if(isset($_POST['formaPlatnosci'])) {
					if($_POST['formaPlatnosci'] == 'portfel') {
						$_SESSION['taryfa'] = $taryfa = $check->checkPortfel(addslashes($_POST['ilosc_przelew']), $_POST['service']);
					} else {
						$serwer = $check->serwer();
						$operator = (is_null($serwer['operator'])) ? $configLoad['Operator'] : $serwer['operator'];
						$_SESSION['taryfa'] = $taryfa = $check->checkSMS(addslashes($operator), addslashes($_POST['kodzwrotny']));
					}
				} else {
					$_SESSION['taryfa'] = $taryfa = 'NO_CHECKED';
				}
				# 2.5
				$_SESSION['form_code'] = $form -> dodaj($created, $uqform, $taryfa);

				foreach($_POST as $i=>$v){
					$tag = 'x.';
					$_SESSION[$i] = $tag.$_POST[$i];
				}
			}
		} else if($_SESSION['shop_on'] == 1 || $acp->_levels('acp')) {
			if (!class_exists('Scripts')) {
				echo __FILE__ . ":" . __LINE__. "<br>";
				die('Nie można odczytać pliku class_Scripts.php');
			}
			$scripts = new Scripts();

			if (!class_exists('ACP')) {
				echo __FILE__ . ":" . __LINE__. "<br>";
				die('Nie można odczytać pliku cla1ss_ACP.php');
			}
			$acp = new ACP();

			$page = $_GET['page'];
			$edit = explode("/", $page);

			$dane = $theme->get(STYLE_PATH . '_topmenu.html');

			if(isset($edit[1])) {
				$page = $edit[1];
			}

			$sql = "SELECT `title`,`text`,`href`,`editable`,`type` FROM `".$cfg['prefix']."pages` WHERE `href` = '" . mysql_real_escape_string($page) . "' AND `on` = 1;";
			$mysql->query($sql); $array = mysql_fetch_array($result);

			if(!empty($array[2])) {
				if(($cfg['ROOT'] == 1 && $array[3] == 1) || ($acp->_levels('editpage') && $array[3] == 1)) {
					if(isset($edit[1])) {
						if($edit[0] == 'save') {
							$dane = str_replace('{!#EDYCJA}', '<a href="#edit/'.$page.'" title="Edytuj">(edytuj)</a>', $dane);
						}
						if($edit[0] == 'edit') {
							$dane = str_replace('{!#EDYCJA}', '<a href="#save/'.$page.'" title="Zapisz">(zapisz)</a>', $dane);
						}
					} else {
						$dane = str_replace('{!#EDYCJA}', '<a href="#edit/'.$page.'" title="Edytuj">(edytuj)</a>', $dane);
					}
					if($edit[0] == 'edit') {
						 $dane .= '<textarea id="'.$page.'" style="width: 100% !important;height: 500px;">'.htmlspecialchars(stripcslashes(($array[1]))).'</textarea>';
					} else {
						if($edit[0]!='kup' && $edit[0]!='wyslij') $dane .= stripcslashes($array[1]);
					}
				} else {
					$dane = str_replace('{!#EDYCJA}', '', $dane);
					if($edit[0]!='kup' && $edit[0]!='wyslij') $dane .= stripcslashes($array[1]);
				}

				if($configLoad['autodel'] == 1 && $configLoad['autodel_cron'] == 0) {
					$dane .= AD;
				}

			} elseif($page == 'ucp') {
				if($acp->_levels('ucp')) {
					if (!class_exists('UCP')) {
						echo __FILE__ . ":" . __LINE__. "<br>";
						die('Nie można odczytać pliku class_UCP.php');
					}
					$ucp = new UCP();

					$dane = str_replace('{!#EDYCJA}', '', $dane);
					$dane = str_replace('{!#TYTUL}', '<b>Panel Użytkownika</b>', $dane);
					$dane = str_replace('{!#LINK}', 'ucp', $dane);
					$dane = str_replace('{!#LINKSHOP}', $cfg['shop_url'], $dane);
					$dane = str_replace('{!#EDYCJA}', '', $dane);

					if($edit[0] == 'lista') {
						$dane .= $ucp->lista();
					} elseif($edit[0] == 'doladuj') {

						if (!class_exists('Scripts')) {
							echo __FILE__ . ":" . __LINE__. "<br>";
							die('Nie można odczytać pliku class_Scripts.php');
						}
						$scripts = new Scripts();

						$dane .= $scripts->js('doladuj');
						$dane .= $scripts->sscript('doladuj', '', '', '', '', '', '');
						$dane .= $theme->ucp('doladuj');
						$licznik = 0;

						$sql = "SELECT `smscode`,`rules` FROM `".$cfg['prefix']."cash` WHERE `name` = '" . $configLoad['Operator'] . "';";
						$mysql->query($sql); $array = mysql_fetch_array($result);

						$sql = "SELECT COUNT( * ) FROM  `".$cfg['prefix']."prices_sms` WHERE  `doladuj` !=0";
						$mysql->query($sql); $doladuj = mysql_fetch_array($result);

						if($doladuj[0] == 0) {
							$dane = str_replace('{!#FP1}', 'style="display:none"', $dane);
							$licznik++;
						} else {
							$dane = str_replace('{!#FP1}', '', $dane);
						}

						if(empty($configLoad['cash_payment'])) {
							$dane = str_replace('{!#FP2}', 'style="display:none"', $dane);
							$licznik++;
						} else {
							$dane = str_replace('{!#FP2}', '', $dane);
						}

						if(empty($configLoad['przelew_nr'])) {
							$dane = str_replace('{!#FP3}', 'style="display:none"', $dane);
							$licznik++;
						} else {
							$dane = str_replace('{!#FP3}', '', $dane);
						}

						if($licznik == 3) {
							$dane = str_replace('Uzyskaj poprzez', '', $dane);
							$dane = str_replace('<div id="info_{!#PAGE}"></div>', '<div id="info_{!#PAGE}"><center>Możliwość doładowania portfela nie została aktywowana przez Administratora.</center></div>', $dane);
						}

						$dane = str_replace('{!#PORTFELPAY}', $scripts->portfelpay(), $dane);
						$dane = str_replace('{!#REGULAMIN_PLATNOSCI}', $array['rules'], $dane);
						$dane = str_replace('{!#TRESCSMS}', $array['smscode'], $dane);
						$dane = str_replace('{!#PAGE}', 'doladuj', $dane);
						$dane = str_replace('{!#MT3}', '
														<li>
														  <span class="nav_sep">&#8594;</span>
														  <span><a href="#doladuj/ucp"><b>Doładuj punkty</b></a></span>
													   </li>', $dane);

					} elseif($edit[0] == 'przelew_doladuj') {
						foreach($_SESSION as $i=>$v){
							$tag = @substr(@$_SESSION[$i], 0, 2); // error
							if($tag == 'x.') {
								$_POST[$i] = $zmiana = substr($_SESSION[$i], 2, strlen(($_SESSION[$i])));
							}
						}
						if($_POST['formaPlatnosci'] == 'sms') {
							if (!class_exists('check')) {
								echo __FILE__ . ":" . __LINE__. "<br>";
								die('Nie można odczytać pliku class_Check.php');
							}
							$check = new check();

							if(empty($_POST['ilosc_sms'])) $_POST['ilosc_sms'] = '0';
							$taryfa = $check->checkSMS(addslashes($_SESSION['Operator']), addslashes($_POST['kodzwrotny']));

							$dane .= $theme->ucp('doladuj_sms');

							$sql = "SELECT `doladuj`
									FROM `".$cfg['prefix']."prices_sms`
									WHERE CAST(`tariff` AS DECIMAL(10,2)) = CAST('$taryfa' AS DECIMAL(10,2))";
							$mysql->query($sql); $array = mysql_fetch_array($result);
							$doladowanie = $array['doladuj'];

							$sql = "SELECT `number`
									FROM `".$cfg['prefix']."sms`
									WHERE CAST(`tariff` AS DECIMAL(10,2)) = CAST('$taryfa' AS DECIMAL(10,2))
									AND `cash` = '" . $configLoad['Operator'] . "';";
							$mysql->query($sql); $array2 = mysql_fetch_array($result);

							$error = '';
							if($taryfa != 'BAD' && $taryfa != 'USE' && $taryfa != 'BAD_TARIFF' && $taryfa != 'NO_CODE' && $taryfa != NULL && $taryfa != 0) {
								preg_match_all('/\{if{statusok}}(.*?)\{\/if{statusok}}/isx', $dane, $arr, PREG_PATTERN_ORDER);
								$dane = str_replace($arr[0], $arr[1], $dane);
								preg_match_all('/\{if{error}}(.*?)\{\/if{error}}/isx', $dane, $arr, PREG_PATTERN_ORDER);
								$dane = str_replace($arr[0], '', $dane);

								$sql = "UPDATE `" . $cfg['database'] . "`.`" . $cfg['prefix'] . "code` SET
										`use` =  '1',
										`cash` =  '".$configLoad['Operator']."',
										`date` =  '".time()."',
										`ip` =  '".$engine->ip()."'
										WHERE  `smscode` = '". addslashes($_POST['kodzwrotny']) ."';";
								$mysql->query($sql);

								$portfel = $login_cfg['portfel'] + $doladowanie;
								$sql = "UPDATE `" . $cfg['database'] . "`.`" . $cfg['prefix'] . "members` SET
										`portfel` = '" . $portfel . "'
										WHERE  `id` = '" . $login_cfg['id'] ."';";
								$mysql->query($sql);

								$acp->log_portfel("Doładowano punkty via SMS", $login_cfg['portfel'], $portfel, $doladowanie, NULL, $login_cfg['id']);
								$login_cfg['portfel'] = $portfel;

								if(isset($login_cfg['portfel'])) {
									$dane .= "\n\r<script type=\"text/javascript\">document.getElementById('portfel').innerHTML='".number_format($login_cfg['portfel'],2,',','')."';</script>";
								}
							} else {
								preg_match_all('/\{if{error}}(.*?)\{\/if{error}}/isx', $dane, $arr, PREG_PATTERN_ORDER);
								$dane = str_replace($arr[0], $arr[1], $dane);
								preg_match_all('/\{if{statusok}}(.*?)\{\/if{statusok}}/isx', $dane, $arr, PREG_PATTERN_ORDER);
								$dane = str_replace($arr[0], '', $dane);

								if($taryfa == 'USE') $error = 'Kod zwrotny został juz wykorzystany.';
								if($taryfa == 'BAD') $error = 'Kod zwrotny jest nieprawidłowy (sprawdź czy nie zrobiłeś literówki przy przepisywaniu kodu).';
								if($taryfa == 'NO_CODE') $error = 'Proszę wpisac kod zwrotny.';
								if($taryfa == NULL) $error = 'Powiadom administratora sklepu o problemach z doładowaniem portfela. Za utrudnienia przepraszamy.';
							}

							$dane = str_replace('{!#TARYFA}', $array2[0], $dane);
							$dane = str_replace('{!#KODSMS}', strtoupper($_POST['kodzwrotny']), $dane);
							$dane = str_replace('{!#DOLADOWANIE}', number_format($doladowanie,2,',',''), $dane);
							$dane = str_replace('{!#KODBLEDU}', $error, $dane);



						}
						if($_POST['formaPlatnosci'] == 'online') {
							require_once(ROOT_PATH . KERNEL . DS . 'class_Payment.php');
							if (!class_exists('payment')) {
								echo __FILE__ . ":" . __LINE__. "<br>";
								die('Nie można odczytać pliku class_Payment.php');
							}
							$payment = new payment();
							$dane .= $payment->checkPAY($configLoad['cash_payment'], 'start');
						}
						if($_POST['formaPlatnosci'] == 'poczta') {
							$dane .= $theme->ucp('przelew');

							$tytul = $configLoad['przelew_tytul'];
							$tytul = str_replace('{id}', $login_cfg['id'], $tytul);
							$tytul = str_replace('{nick}', $_SESSION['username'], $tytul);
							if($_SESSION['kwota']=='') {
								$_SESSION['kwota'] = 0;
							}

							$dane = str_replace('{!#NRKONTA}', $configLoad['przelew_nr'], $dane);
							$dane = str_replace('{!#DANE}', $configLoad['przelew_nazwa'], $dane);
							$dane = str_replace('{!#TYTUL}', $tytul, $dane);
							$dane = str_replace('{!#KWOTA}', number_format($_SESSION['kwota'],2,',',''), $dane);
						}
					} elseif($edit[0] == 'doladuj_status') {
						$dane .= $theme->ucp('doladuj_status');

						$sql = "SELECT `id`, `amount`, `desc`, `email`, `time_start`, `time_end`
								FROM  `" . $cfg['database'] . "`.`" . $cfg['prefix'] . "online_payment`
								WHERE  `sign_check` LIKE  '". addslashes($_SESSION['sign']) ."'
								AND  `finish` =2
								AND  `wallet` =1
								AND  `userdata` LIKE '". $login_cfg['id'] ."'
								ORDER BY  `time_end` DESC
								LIMIT 1;";
						$mysql->query($sql); $pay = mysql_fetch_array($result);

						if(!empty($pay['amount']) && $pay['amount'] > 0) {
							preg_match_all('/\{if{statusok}}(.*?)\{\/if{statusok}}/isx', $dane, $arr, PREG_PATTERN_ORDER);
							$dane = str_replace($arr[0], $arr[1], $dane);
							preg_match_all('/\{if{error}}(.*?)\{\/if{error}}/isx', $dane, $arr, PREG_PATTERN_ORDER);
							$dane = str_replace($arr[0], '', $dane);
						} else {
							preg_match_all('/\{if{error}}(.*?)\{\/if{error}}/isx', $dane, $arr, PREG_PATTERN_ORDER);
							$dane = str_replace($arr[0], $arr[1], $dane);
							preg_match_all('/\{if{statusok}}(.*?)\{\/if{statusok}}/isx', $dane, $arr, PREG_PATTERN_ORDER);
							$dane = str_replace($arr[0], '', $dane);

							$sql = "SELECT `id`, `amount`, `desc`, `email`, `time_start`, `time_end`
									FROM  `" . $cfg['database'] . "`.`" . $cfg['prefix'] . "online_payment`
									WHERE  `sign_check` LIKE  '". addslashes($_SESSION['sign']) ."'
									AND  `userdata` LIKE '". $login_cfg['id'] ."'
									ORDER BY  `time_end` DESC
									LIMIT 1;";
							$mysql->query($sql); $pay = mysql_fetch_array($result);
						}

						$dane = str_replace('{!#ID}', $pay['id'], $dane);
						$dane = str_replace('{!#DOLADOWANIE}', number_format($pay['amount'],2,',',''), $dane);
						$dane = str_replace('{!#OPIS}', $pay['desc'], $dane);
						$dane = str_replace('{!#EMAIL}', $pay['email'], $dane);
						$dane = str_replace('{!#TIMESTART}', date("Y/m/d H:i", $pay['time_start']), $dane);
						$dane = str_replace('{!#TIMEEND}', date("Y/m/d H:i", $pay['time_end']), $dane);

					} elseif($edit[0] == 'przypisz') {
						$dane .= $ucp->przypisz();
					} elseif($edit[0] == 'zmienhasla') {
						$dane .= $ucp->zmienhasla();
					} elseif(isset($edit[2]) && $edit[2] != '' && $edit[0] == 'edit') {
						$dane .= $ucp->edit($edit[2]);
					} else {
						$dane .= $theme->ucp('index');
					}
				} else {
					$dane = str_replace('{!#EDYCJA}', '', $dane);
					$dane = str_replace('{!#TYTUL}', '<b>Panel Użytkownika</b>', $dane);
					$dane = str_replace('{!#LINKSHOP}', $cfg['shop_url'], $dane);
					$dane = str_replace('{!#EDYCJA}', '', $dane);
					$dane .= "Musisz się zalogować!";
				}
			} else {
				$dane = str_replace('{!#LINK}', '404', $dane);
				$dane = str_replace('{!#TYTUL}', '<b>404</b>', $dane);
				$dane = str_replace('{!#LINKSHOP}', $cfg['shop_url'], $dane);
				$dane = str_replace('{!#EDYCJA}', '', $dane);
				$dane .= "<h3>404 Not found!</h3>";
			}



			$dane = str_replace('{!#TYTUL}', '<b>'.$array[0].'</b>', $dane);
			$dane = str_replace('{!#LINKSHOP}', $cfg['shop_url'], $dane);



			if($edit[0]=='kup' && $array[4] == 'service') {
				$dane = str_replace('<b>'.$array[0].'</b>', $array[0], $dane);
				$dane = str_replace('{!#EDYCJA}', '', $dane);
				$dane = str_replace('{!#MT3}', '
							<li>
                              <span class="nav_sep">&#8594;</span>
                              <span><a href="#kup/{!#LINK}"><b>Aktywuj</b></a></span>
                           </li>', $dane);

				if(isset($_SESSION['Check']) && $_SESSION['Check'] == 1) {
					$dane .= $scripts->pre_check($page);
				}

				if($acp->_levels('service_' . $page, false, true)) {
					$dane .= $theme->service($page);
				} else {
                    if(isset($login_cfg['id'])) {
                        $dane .= "<h3 style='text-align:center'><br>Brak uprawnień do zakupu tej usługi! <br>Skontaktuj się z administratorem aby udzielił Ci dostępu.</h3>";
                    } else {
                        $dane .= "<h3 style='text-align:center'><br>Brak uprawnień do zakupu tej usługi! <br><a href=\"?rejestracja\">Zarejestruj się</a>, aby uzyskać dostęp.</h3>";
                    }
				}
				$dane = str_replace('{!#IP}', $engine->ip(), $dane);
			}


			foreach($_SESSION as $i=>$v){
				$tag = @substr(@$_SESSION[$i], 0, 2); // error
				if($tag == 'x.') {
					$_POST[$i] = $zmiana = substr($_SESSION[$i], 2, strlen(($_SESSION[$i])));
					$dane = str_replace("{!#value='$i'}", $zmiana, $dane);
				}
			}


			if($edit[0]=='wyslij' && $array[4] == 'service') {
				require_once(ROOT_PATH . KERNEL . DS . 'class_Service.php');
				if (!class_exists('service')) {
					echo __FILE__ . ":" . __LINE__. "<br>";
					die('Nie można odczytać pliku class_Service.php');
				}
				$service = new service();
				$dane = $service->start($dane, $page);
			}

			if(isset($array[2])) {
				$dane = str_replace('{!#LINK}', $array[2], $dane);
			}

			$sql = "SELECT `r1`,`r2`,`r3`,`fp4`,`fp5`,`haslosid`,`gg` FROM `".$cfg['prefix']."service` WHERE `id_server` IS NULL AND `service` = '" . $page . "';";
			$mysql->query($sql); $var = mysql_fetch_array($result);

			if($edit[0] == 'kup' && $array[4] == 'service') {
				$dane = str_replace('{!#SERVERLIST}', $scripts->serverlist($page), $dane);
				$dane = str_replace('{!#SMSLIST}', $scripts->pay($page, 'sms'), $dane);
				$dane = str_replace('{!#PAYLIST}', $scripts->pay($page, 'pay'), $dane);
				$dane = str_replace('{!#FPLIST}', $scripts->fplist($page), $dane);

				$dane .= $scripts->js($page);
				$dane .= $scripts->sscript($page, $var['r1'], $var['r2'], $var['r3'], $var['fp4'], $var['fp5']);

				$dane = str_replace('{!#R1}', $var['r1'], $dane);
				$dane = str_replace('{!#R2}', $var['r2'], $dane);
				$dane = str_replace('{!#R3}', $var['r3'], $dane);
				$dane = str_replace('{!#FP4}', $var['fp4'], $dane);
				$dane = str_replace('{!#FP5}', $var['fp5'], $dane);

				if($page == 'premium') {
					$sz = '{!#PREMIUMSELECT}'; $x = stripos($dane, $sz); if ($x !== false) {$dane = str_replace('{!#PREMIUMSELECT}', $scripts->premiumselect(), $dane);}
					$dane = str_replace('id="servername"', 'id="servername_premium"', $dane);
				}
				if($page == 'exp') {
					$sz = '{!#SELECTEXP}'; $x = stripos($dane, $sz); if ($x !== false) {$dane = str_replace('{!#SELECTEXP}', $scripts->selectexp($page), $dane);}
					$dane = str_replace('id="servername"', 'id="servername_exp"', $dane);
				}
				if($page == 'odznaki') {
					$sz = '{!#SELECTODZNAKI}'; $x = stripos($dane, $sz); if ($x !== false) {$dane = str_replace('{!#SELECTODZNAKI}', $scripts->selectodznaki($page), $dane);}
					$sz = '{!#SELECTODZNAKITYP}'; $x = stripos($dane, $sz); if ($x !== false) {$dane = str_replace('{!#SELECTODZNAKITYP}', $scripts->selectodznakityp($page), $dane);}
					$dane = str_replace('id="servername"', 'id="servername_odznaki"', $dane);
				}

				$sql = "SELECT `smscode`,`rules` FROM `".$cfg['prefix']."cash` WHERE `name` = '" . $configLoad['Operator'] . "';";
				$mysql->query($sql); $array = mysql_fetch_array($result);

				$dane = str_replace('{!#TRESCSMS}', $array['smscode'], $dane);
				$dane = str_replace('{!#REGULAMIN_PLATNOSCI}', $array['rules'], $dane);

				foreach($_SESSION as $i=>$v){
					$tag = @substr($_SESSION[$i], 0, 2); // error
					if($tag == 'x.') {
						unset($_SESSION[$i]);
					}
				}


			}

			if(isset($login_cfg['id'])) {
				$dane = str_replace('{!#INFOPORTFEL}', 'Korzystanie z punktów jest bardziej opłacalne (niższe ceny).', $dane);
			} else {
				$dane = str_replace('{!#INFOPORTFEL}', 'Zaloguj się i opłacaj usługi za pomocą punktów (niższe ceny).', $dane);
			}

			$dane = str_replace("{!#value='nick'}", '', $dane);
			$dane = str_replace("{!#value='nicksid'}", '', $dane);
			$dane = str_replace("{!#value='pass'}", '', $dane);
			$dane = str_replace("{!#value='hasloip'}", '', $dane);
			$dane = str_replace("{!#value='haslosid'}", '', $dane);
			$dane = str_replace("{!#value='steamid'}", '', $dane);
			$dane = str_replace("{!#value='gg'}", '', $dane);
			$dane = str_replace("{!#value='email'}", '', $dane);
			$dane = str_replace("{!#value='kodzwrotny'}", '', $dane);
			($var['haslosid'] == 1) ? $dane = str_replace("{!#W1}", '<span style="color:red;">*</span>', $dane) : $dane = str_replace("{!#W1}", '', $dane);
			($var['gg'] == 1) ? $dane = str_replace("{!#W2}", '<span style="color:red;">*</span>', $dane) : $dane = str_replace("{!#W2}", '', $dane);

			$dane = str_replace('{!#MT3}', '', $dane);
			$dane = str_replace('{!#PAGE}', $page, $dane);

		} else {
			$dane = $theme->get(ROOT_PATH . 'admin/public/style/error.html',2);
			if(isset($configLoad['Title']) && $configLoad['Title'] != '') {
				$tytul = $configLoad['Title'];
			} else {
				$tytul = $cfg['shop_url'];
			}
			$dane = str_replace('{!#TITLE}', $tytul . ' | Sklep wyłączony. ', $dane);
			$dane = str_replace('{!#TEXT}', 'Administrator wyłączył możliwość korzystania ze sklepu. Zapraszamy ponownie później.', $dane);
			$dane = str_replace('{!#ERROR}', "", $dane);
			$dane = str_replace('{!#DISPLAY}', "display:none;", $dane);
			$dane = str_replace('{!#PAGE}', "&laquo;<a href='".$cfg['shop_url']."/?zaloguj' title='Zaloguj się (tylko administrator)'>Zaloguj się (tylko administrator)</a>", $dane);
			$dane = str_replace('	', '', $dane);
			$theme->display($dane);
			die();
		}

		$theme->display($dane);
	}
}
