<?php if(!defined('__SHOP__')){die('');}

class Theme
{
	public function createTheme($first = true)
	{
		global $result,$mysql,$cfg;
		global $configLoad;
		global $theme, $main;

		require_once(ROOT_PATH . KERNEL . DS . 'class_Theme.php');
		if (!class_exists('Theme')) {
			echo __FILE__ . ":" . __LINE__. "<br>";
			die('Nie można odczytać pliku class_Theme.php');
		}
		$theme = new Theme();
		$theme -> defTheme();

		require_once(ROOT_PATH . KERNEL . DS . 'class_Main.php');
		if (!class_exists('Main')) {
			echo __FILE__ . ":" . __LINE__. "<br>";
			die('Nie można odczytać pliku class_Main.php');
		}
		$main = new Main();
		$main -> load($first);
	}
	
	public function defTheme()
	{
		global $configLoad;
		global $engine;
		
		if(!isset($configLoad['Style'])) {
			$configLoad['Style'] = 'default';
		}
		
		define ('STYLE_PATH', './' . PUB . DS . STYLE . DS . (str_replace('/', '', (str_replace('..', '', $configLoad['Style'])))) . DS);
		define ('ADMIN_APP', './' . 'app' . DS);
		define ('ADMIN_SOURCE', './' . 'app' . DS . 'source' . DS);
		define ('STYLE_URL', '//' . $_SERVER['SERVER_NAME'] . (str_replace('index.php', '', $_SERVER['SCRIPT_NAME'])) . PUB . DS . STYLE . DS . $configLoad['Style'] . DS);
	}
	
	public function menu($dane = null)
	{
		global $result,$mysql,$cfg;
		global $configLoad;
		global $theme;

		$sql = "SELECT c.`title` as `kategoria`, p.`href` as `link`, p.`title` as `tytul`, p.`type` as type
				FROM `".$cfg['prefix']."pages` p 
				JOIN `".$cfg['prefix']."menu_category` c
				ON p.`category` = c.`id`
				WHERE p.`on` = 1
				ORDER BY c.`nr`, p.`nr` ASC";
		$mysql->query($sql);
		
		preg_match_all("'<!-- #[0-9]_START -->(.*?)<!-- #[0-9]_END -->'si", $dane, $match);
		$i=0;
		$mprint = '';
		foreach($match[1] as $val)
		{
			$mprint[$i] = $val;
			$i++;
		}

		$menu = '';
		if(isset($mprint[0]))
			$menu .= $mprint[0];
		$last_parent = '';
		while($row = mysql_fetch_array($result)){
			if($row['type'] != 'blank') {
				if($last_parent != $row['kategoria']){
						if($last_parent != ''){
							if(isset($mprint[4]))
								$menu .= $mprint[4];
						}
						$last_parent = $row['kategoria'];
						if(isset($mprint[0]))
							$menu .= $mprint[0];
						if(isset($mprint[1]))
							$menu .= str_replace('{!#KATEGORIA}', "{$row['kategoria']}", $mprint[1]);
				}
				if(isset($mprint[3]))
					$menu .= str_replace('{!#LINK}', "{$row['link']}", str_replace('{!#TYTUL}', "{$row['tytul']}", $mprint[3]));
			}
		}
		if($last_parent != ''){
			if(isset($mprint[4]))
				$menu .= $mprint[4];
		}
		if(isset($mprint[5]))
			$menu .= $mprint[5];

		preg_match_all("'<!-- #0_START -->(.*?)<!-- #5_END -->'si", $dane, $match);
		foreach($match[1] as $val)
		{
			$old = $val;
		}
		if(isset($old))
			$dane = str_replace($old, $menu, $dane);
		$dane = preg_replace('/<!-- #[0-9]_START -->/i', '', $dane);
		$dane = preg_replace('/<!-- #[0-9]_END -->\n/i', '', $dane);
		
		return $dane;
	}
	
	public function linki()
	{
		global $result,$mysql,$cfg;
		global $theme;

		$menu = '';
		
		$sql = "SELECT *
				FROM `".$cfg['prefix']."link`
				ORDER BY `nr` ASC";
		$mysql->query($sql);
		
		while($array = mysql_fetch_array($result)){
			if($array['on'] == 1) {
				if($array['href'] == '#' || $array['href'] == $cfg['shop_url'] || empty($array['href'])) {
					$menu .= '<li id="nav_app_forums" class="left active"><a href="'.$array['href'].'" title="'.$array['title'].'">'.$array['title'].'</a></li>';
				} else {
					$menu .= '<li id="nav_app_forums" class="left"><a href="'.$array['href'].'" title="'.$array['title'].'">'.$array['title'].'</a></li>';
				}
			}
		}
		
		return $menu;
	}
	
	public function get($file = null)
	{
		global $cfg;
		$get = $file;
		
		if (file_exists($get))
		{
			if ($cfg['DEBUG'] == false)
				return @fread(@fopen($get, 'r'), @filesize($get));
			else
				if(filesize($get) > 0)
					return fread(fopen($get, 'r'), filesize($get));
		} else die('BRAK PLIKU STYLU');
	}
	
	public function getadmin($file = null, $type = null)
	{
		global $cfg;
		
		if($type == 1) {
			$get = ADMIN_SOURCE . $file;
		} else if($type == 2) {
			$get = $file;
		} else {
			$get = ADMIN_APP . $file . '.php';
		}
		
		if (file_exists($get))
		{
			if ($cfg['DEBUG'] == false)
				return @include($get);
			else
				return include($get);
		} else die('Nie ma takiej strony.');
	}
	
	public function service($file = null)
	{
		global $cfg;
		$get = ROOT_PATH . PUB . DS . 'forms' . DS . $file . '.html';
		
		if (file_exists($get))
		{
			if ($cfg['DEBUG'] == false)
				return @fread(@fopen($get, 'r'), @filesize($get));
			else
				if(filesize($get) > 0)
					return fread(fopen($get, 'r'), filesize($get));
		} else die('BRAK PLIKU USLUGI');
	}
	
	public function ucp($file = null)
	{
		global $cfg;
		$get = ROOT_PATH . PUB . DS . 'ucp' . DS . '_' . $file . '.html';
		
		if (file_exists($get))
		{
			if ($cfg['DEBUG'] == false)
				return @fread(@fopen($get, 'r'), @filesize($get));
			else
				if(filesize($get) > 0)
					return fread(fopen($get, 'r'), filesize($get));
		} else die('BRAK PLIKU STYLU UCP');
	}
	
	public function js($file = null)
	{
		global $cfg;
		$get = ROOT_PATH . PUB . DS . 'js' . DS . $file . '.js';
		
		if (file_exists($get))
		{
			if ($cfg['DEBUG'] == false)
				return @fread(@fopen($get, 'r'), @filesize($get));
			else
				if(filesize($get) > 0)
					return fread(fopen($get, 'r'), filesize($get));
		} else die('BRAK PLIKU STYLU UCP');
	}
	
	public function display($display = null)
	{
		@eval ('?>' . $display);
	}
}
