<?php if(!defined('__SHOP__')){die('');}

	global $cfg, $configLoad;
	if (isset($_GET['app'])) {
		$app = $_GET['app'];

		if ($app == 'index')			$title = 'Panel kontrolny';

		if ($app == 'uslugi')			$title = 'Lista sprzedanych usług';
		if ($app == 'formularze')		$title = 'Lista wypełnionych formularzy';
		if ($app == 'kodysms')			$title = 'Lista kodów SMS';

		if ($app == 'serwery')			$title = 'Serwery';
		if ($app == 'sprzedaz')			$title = 'Usługi';
		if ($app == 'platnosci')		$title = 'Płatności SMS';
		if ($app == 'platnosci_online')	$title = 'Płatności ONLINE';
		if ($app == 'bazy')				$title = 'Bazy danych';
		if ($app == 'ustawienia')		$title = 'Konfiguracja sklepu';

		if ($app == 'uzytkownicy')		$title = 'Użytkownicy';
		if ($app == 'uprawnienia')		$title = 'Grupy i uprawnienia';
		if ($app == 'banlista')			$title = 'Banlista';

		if ($app == 'cennik')			$title = 'Podstawowy';
		if ($app == 'cennikdod')		$title = 'Zaawansowany';
		if ($app == 'cennik_doladuj')	$title = 'Doładowanie portfela';

		if ($app == 'strony')			$title = 'Podstrony';
		if ($app == 'kategorie')		$title = 'Menu';
		if ($app == 'linki')			$title = 'Linki';

		if ($app == 'statystyki')		$title = 'Odwiedziny';
		if ($app == 'rozliczenia')		$title = 'Raport SMS';


		if ($app == 'logs')				$title = 'Działania administracyjne';
		if ($app == 'logowanie')		$title = 'Logowanie';
		if ($app == 'portfel')			$title = 'Portfel';

		$app = "?app=" . $app;
	} else {
		$app = '';
	}
	if (isset($_GET['wyloguj'])) {
		if (!class_exists('Login')) {
			die('Nie można odczytać pliku class_Login.php');
		}
		$login = new Login();
		$login->_logout();
	}
	?>
<!doctype html>
<html lang="en">
	<head>
		<meta charset="utf-8" />
		<title>ACP :: <?php echo $configLoad['Title'] ?></title>
		<link rel="stylesheet" href="public/css/layout.css" type="text/css" media="screen" />
		<!--[if lt IE 9]>
		<link rel="stylesheet" href="public/css/ie.css" type="text/css" media="screen" />
		<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
		<![endif]-->
		<script src="public/js/jquery-1.5.2.min.js" type="text/javascript"></script>
		<script src="public/js/jquery.tablesorter.min.js" type="text/javascript"></script>
		<script type="text/javascript" src="public/js/jquery.equalHeight.js"></script>
		<script type="text/javascript">
			$(function(){
			$('.column').equalHeight();
			});
		</script>
	</head>
	<body>
		<header id="header">
			<hgroup>
				<h1 class="site_title"><a href="./index.php">ACP</a></h1>
				<h2 class="section_title"><?php
					echo $title;
					?></h2>
				<div class="btn_view_site"><a href="<?php
echo $cfg['shop_url'];
?>">Sklep</a></div>
			</hgroup>
		</header>
		<section id="secondary_bar">
			<div class="user">
				<p><?php
					echo $_SESSION['username'];
					?></p>
			</div>
			<div class="breadcrumbs_container">
				<article class="breadcrumbs">
					<a href="./index.php">Panel Administracyjny</a>
					<div class="breadcrumb_divider"></div>
					<a href="./<?php
echo $app;
?>"><?php
					echo $title;
					?></a>
				</article>
			</div>
		</section>
		<aside id="sidebar" class="column">
			<form class="quick_search">
				<input type="text" value="Wyszukaj" onfocus="if(!this._haschanged){this.value=''};this._haschanged=true;" />
			</form>
			<hr />
			<h3>Panel kontrolny</h3>
			<ul class="toggle">
				<li class="icn_index"><a href="?app=index">Panel kontrolny</a></li>
			</ul>
			<h3>System sprzedaży</h3>
			<ul class="toggle">
				<li class="icn_cash"><a href="?app=uslugi">Lista sprzedanych usług</a></li>
				<li class="icn_form"><a href="?app=formularze">Lista wypełnionych formularzy</a></li>
				<li class="icn_sms"><a href="?app=kodysms">Lista kodów SMS</a></li>
			</ul>
			<h3>Ustawienia</h3>
			<ul class="toggle">
				<li class="icn_ftp2"><a href="?app=serwery">Serwery</a></li>
				<li class="icn_service"><a href="?app=sprzedaz">Usługi</a></li>
				<li class="icn_phone"><a href="?app=platnosci">Płatności SMS</a></li>
				<li class="icn_phone"><a href="?app=platnosci_online">Płatności ONLINE</a></li>
				<li class="icn_ftp2"><a href="?app=bazy">Bazy danych</a></li>
				<li class="icn_settings2"><a href="?app=ustawienia">Konfiguracja sklepu</a></li>
			</ul>
			<h3>Użytkownicy</h3>
			<ul class="toggle">
				<li class="icn_profile"><a href="?app=uzytkownicy">Użytkownicy</a></li>
				<li class="icn_view_users"><a href="?app=uprawnienia">Grupy i uprawnienia</a></li>
				<li class="icn_add_user"><a href="?app=banlista">Banlista</a></li>
			</ul>
			<h3>Cennik</h3>
			<ul class="toggle">
				<li class="icn_cennik"><a href="?app=cennik">Podstawowy</a></li>
				<li class="icn_cennik"><a href="?app=cennikdod">Zaawansowany</a></li>
				<li class="icn_cennik"><a href="?app=cennik_doladuj">Doładowanie portfela</a></li>
			</ul>
			<h3>Treść</h3>
			<ul class="toggle">
				<li class="icn_pages"><a href="?app=strony">Podstrony</a></li>
				<li class="icn_categories"><a href="?app=kategorie">Menu</a></li>
				<li class="icn_links"><a href="?app=linki">Linki</a></li>
			</ul>
			<h3>Statystyki</h3>
			<ul class="toggle">
				<li class="icn_photo"><a href="?app=statystyki">Odwiedziny</a></li>
				<li class="icn_folder"><a href="?app=rozliczenia">Raport SMS</a></li>
			</ul>
			<h3>Logi</h3>
			<ul class="toggle">
				<li class="icn_video"><a href="?app=logs">Działania administracyjne</a></li>
				<li class="icn_video"><a href="?app=logowanie">Logowanie</a></li>
				<li class="icn_video"><a href="?app=portfel">Portfel</a></li>
			</ul>
			<h3>Inne</h3>
			<ul class="toggle">
				<li class="icn_categories"><a href="http://forum.shop-engine.pl/" target="_blank">Wsparcie</a></li>
				<li class="icn_jump_back"><a href="?wyloguj">Wyloguj</a></li>
			</ul>
			<footer>
				<hr />
				<p><strong>SHOP | ENGINE ver. <?php echo VER ?> &copy; XvAK</strong></p>
				<hr />
			</footer>
		</aside>
		<section style="float: left;width: 77%;">
<?php
		require_once(ROOT_PATH . KERNEL . DS . 'class_Update.php');
		if (!class_exists('update')) {
			echo __FILE__ . ":" . __LINE__. "<br>";
			die('Nie można odczytać pliku class_Update.php');
		}
		$update = new update();
?>
		</section>
