<?php if(!defined('__SHOP__')){die('');}

echo "<br>- Struktura tabeli dla `" . $cfg['prefix'] . "admin_login_logs`";

$sql = "DROP TABLE IF EXISTS `" . $cfg['prefix'] . "admin_login_logs`;"; $mysql->query($sql);
$sql = "CREATE TABLE IF NOT EXISTS `" . $cfg['prefix'] . "admin_login_logs` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `ip_address` varchar(46) NOT NULL DEFAULT '0.0.0.0',
  `username` varchar(40) NOT NULL DEFAULT '',
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `success` int(1) unsigned NOT NULL DEFAULT '0',
  `post_details` text,
  `password` varchar(40) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ip_address` (`ip_address`),
  KEY `time` (`time`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;"; $mysql->query($sql);

echo "<br>- Struktura tabeli dla `" . $cfg['prefix'] . "admin_logs`";

$sql = "DROP TABLE IF EXISTS `" . $cfg['prefix'] . "admin_logs`;"; $mysql->query($sql);
$sql = "CREATE TABLE IF NOT EXISTS `" . $cfg['prefix'] . "admin_logs` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `ip_address` varchar(46) NOT NULL DEFAULT '0.0.0.0',
  `member_id` int(10) DEFAULT NULL,
  `time` int(10) DEFAULT NULL,
  `note` text,
  `post_details` text,
  `app` varchar(255) NOT NULL DEFAULT '',
  `query_string` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;"; $mysql->query($sql);

echo "<br>- Struktura tabeli dla `" . $cfg['prefix'] . "admin_log_portfel`";

$sql = "DROP TABLE IF EXISTS `" . $cfg['prefix'] . "admin_log_portfel`;"; $mysql->query($sql);
$sql = "CREATE TABLE IF NOT EXISTS `" . $cfg['prefix'] . "admin_log_portfel` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `ip_address` varchar(46) NOT NULL DEFAULT '0.0.0.0',
  `id_admin` int(10) DEFAULT NULL,
  `id_user` int(10) DEFAULT NULL,
  `time` int(10) DEFAULT NULL,
  `note` text,
  `post_details` text,
  `old` varchar(255) NOT NULL DEFAULT '',
  `new` varchar(255) NOT NULL DEFAULT '',
  `diff` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;"; $mysql->query($sql);

echo "<br>- Struktura tabeli dla `" . $cfg['prefix'] . "backup`";

$sql = "DROP TABLE IF EXISTS `" . $cfg['prefix'] . "backup`;"; $mysql->query($sql);
$sql = "CREATE TABLE IF NOT EXISTS `" . $cfg['prefix'] . "backup` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_server` int(11) NOT NULL,
  `text` text NOT NULL,
  `date` int(11) NOT NULL,
  `file` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;"; $mysql->query($sql);

echo "<br>- Struktura tabeli dla `" . $cfg['prefix'] . "banfilters`";

$sql = "DROP TABLE IF EXISTS `" . $cfg['prefix'] . "banfilters`;"; $mysql->query($sql);
$sql = "CREATE TABLE IF NOT EXISTS `" . $cfg['prefix'] . "banfilters` (
  `ban_id` int(10) NOT NULL AUTO_INCREMENT,
  `ban_type` varchar(10) NOT NULL DEFAULT 'ip',
  `ban_content` text,
  `ban_date` int(10) NOT NULL DEFAULT '0',
  `ban_reason` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`ban_id`),
  KEY `ban_content` (`ban_content`(200))
) ENGINE=MyISAM DEFAULT CHARSET=utf8;"; $mysql->query($sql);

echo "<br>- Struktura tabeli dla `" . $cfg['prefix'] . "cash`";

$sql = "DROP TABLE IF EXISTS `" . $cfg['prefix'] . "cash`;"; $mysql->query($sql);
$sql = "CREATE TABLE IF NOT EXISTS `" . $cfg['prefix'] . "cash` (
  `id_cash` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `id` varchar(32) DEFAULT NULL,
  `login` varchar(255) DEFAULT NULL,
  `password` varchar(255) DEFAULT NULL,
  `api` varchar(255) DEFAULT NULL,
  `auth` varchar(255) DEFAULT NULL,
  `identifier` varchar(255) DEFAULT NULL,
  `paid` varchar(32) DEFAULT NULL,
  `api_url` varchar(255) DEFAULT NULL,
  `smscode` varchar(255) DEFAULT NULL,
  `rules` text,
  `on` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_cash`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;"; $mysql->query($sql);

echo "<br>- Struktura tabeli dla `" . $cfg['prefix'] . "cash_payment`";

$sql = "DROP TABLE IF EXISTS `" . $cfg['prefix'] . "cash_payment`;"; $mysql->query($sql);
$sql = "CREATE TABLE IF NOT EXISTS `" . $cfg['prefix'] . "cash_payment` (
  `id_cash` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `id` varchar(32) DEFAULT NULL,
  `login` varchar(255) DEFAULT NULL,
  `password` varchar(255) DEFAULT NULL,
  `api` varchar(255) DEFAULT NULL,
  `key` varchar(255) DEFAULT NULL,
  `service` varchar(255) DEFAULT NULL,
  `auth` varchar(255) DEFAULT NULL,
  `identifier` varchar(255) DEFAULT NULL,
  `paid` varchar(32) DEFAULT NULL,
  `api_url` varchar(255) DEFAULT NULL,
  `test` varchar(255) DEFAULT NULL,
  `rules` text,
  `on` tinyint(1) NOT NULL DEFAULT '0',
   PRIMARY KEY (`id_cash`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;"; $mysql->query($sql);

echo "<br>- Struktura tabeli dla `" . $cfg['prefix'] . "chat`";

$sql = "DROP TABLE IF EXISTS `" . $cfg['prefix'] . "chat`;"; $mysql->query($sql);
$sql = "CREATE TABLE IF NOT EXISTS `" . $cfg['prefix'] . "chat` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_user` int(11) NOT NULL,
  `text` text NOT NULL,
  `date` int(11) NOT NULL,
  `ip` varchar(32) DEFAULT NULL,
  `hide` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;"; $mysql->query($sql);

echo "<br>- Struktura tabeli dla `" . $cfg['prefix'] . "code`";

$sql = "DROP TABLE IF EXISTS `" . $cfg['prefix'] . "code`;"; $mysql->query($sql);
$sql = "CREATE TABLE IF NOT EXISTS `" . $cfg['prefix'] . "code` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `smscode` varchar(10) DEFAULT NULL,
  `tariff` varchar(10) DEFAULT NULL,
  `use` tinyint(4) NOT NULL DEFAULT '0',
  `other` int(11) DEFAULT NULL,
  `cash` varchar(255) DEFAULT NULL,
  `date` varchar(32) DEFAULT NULL,
  `ip` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;"; $mysql->query($sql);

echo "<br>- Struktura tabeli dla `" . $cfg['prefix'] . "config`";

$sql = "DROP TABLE IF EXISTS `" . $cfg['prefix'] . "config`;"; $mysql->query($sql);
$sql = "CREATE TABLE IF NOT EXISTS `" . $cfg['prefix'] . "config` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Ver` varchar(255) NOT NULL,
  `Style` varchar(255) NOT NULL,
  `Title` varchar(255) NOT NULL,
  `Operator` varchar(255) NOT NULL,
  `cash_payment` varchar(255) NOT NULL,
  `Check` tinyint(1) NOT NULL,
  `gg_login` int(12) NOT NULL,
  `gg_haslo` varchar(32) NOT NULL,
  `gg_opis` varchar(255) NOT NULL,
  `email_admin` varchar(255) NOT NULL,
  `email_name` varchar(255) NOT NULL,
  `email_reply` varchar(255) NOT NULL,
  `pow_gg` tinyint(1) NOT NULL,
  `pow_email` tinyint(1) NOT NULL,
  `ga` varchar(30) NOT NULL,
  `shop_on` tinyint(1) NOT NULL,
  `ucp_edit` int(11) NOT NULL,
  `user_group_id` int(11) NOT NULL,
  `autodel` tinyint(1) NOT NULL DEFAULT '1',
  `autodel_last` int(11) NOT NULL,
  `autodel_freq` int(11) NOT NULL,
  `autodel_limit` int(11) NOT NULL,
  `autodel_cron` int(11) NOT NULL DEFAULT '0',
  `przelew_nr` varchar(255) NOT NULL,
  `przelew_nazwa` varchar(255) NOT NULL,
  `przelew_tytul` varchar(255) NOT NULL,
  `public_link` tinyint(1) DEFAULT NULL,
  `rpp` int(11) NOT NULL DEFAULT '100',
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;"; $mysql->query($sql);

echo "<br>- Struktura tabeli dla `" . $cfg['prefix'] . "db`";

$sql = "DROP TABLE IF EXISTS `" . $cfg['prefix'] . "db`;"; $mysql->query($sql);
$sql = "CREATE TABLE IF NOT EXISTS `" . $cfg['prefix'] . "db` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(255) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `ver` varchar(255) DEFAULT NULL,
  `host` varchar(255) DEFAULT NULL,
  `user` varchar(255) DEFAULT NULL,
  `pass` varchar(255) DEFAULT NULL,
  `db` varchar(255) DEFAULT NULL,
  `table` varchar(255) DEFAULT NULL,
  `prefix` varchar(255) DEFAULT NULL,
  `status` tinyint(1) DEFAULT NULL,
  `last` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;"; $mysql->query($sql);

echo "<br>- Struktura tabeli dla `" . $cfg['prefix'] . "forms`";

$sql = "DROP TABLE IF EXISTS `" . $cfg['prefix'] . "forms`;"; $mysql->query($sql);
$sql = "CREATE TABLE IF NOT EXISTS `" . $cfg['prefix'] . "forms` (
  `id_forms` int(11) NOT NULL AUTO_INCREMENT,
  `id_list` varchar(255) DEFAULT NULL,
  `id_code` varchar(255) DEFAULT NULL,
  `id_user` int(11) DEFAULT NULL,
  `status` varchar(255) DEFAULT NULL,
  `check` varchar(255) DEFAULT NULL,
  `rodzaj` varchar(32) DEFAULT NULL,
  `nick` varchar(32) DEFAULT NULL,
  `pass` varchar(32) DEFAULT NULL,
  `sid` varchar(32) DEFAULT NULL,
  `ipname` varchar(32) DEFAULT NULL,
  `ippass` varchar(32) DEFAULT NULL,
  `servername` varchar(32) DEFAULT NULL,
  `choice` varchar(32) DEFAULT NULL,
  `service` varchar(32) DEFAULT NULL,
  `smscode` varchar(10) DEFAULT NULL,
  `cash` varchar(255) DEFAULT NULL,
  `powiadom1` int(3) DEFAULT NULL,
  `powiadom2` int(3) DEFAULT NULL,
  `uwagi` text,
  `ilosc_sms` int(32) DEFAULT NULL,
  `ilosc_przelew` int(32) DEFAULT NULL,
  `taryfa` varchar(255) DEFAULT NULL,
  `klasa` varchar(255) DEFAULT NULL,
  `odznaka` varchar(255) DEFAULT NULL,
  `rasa` varchar(255) DEFAULT NULL,
  `file` varchar(255) DEFAULT NULL,
  `gg` int(11) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `ip` varchar(255) DEFAULT NULL,
  `date` varchar(32) DEFAULT NULL,
  `browser` varchar(255) DEFAULT NULL,
  `link` varchar(255) DEFAULT NULL,
  `ref` varchar(255) DEFAULT NULL,
  `authorization` varchar(255) DEFAULT NULL,
  `debug` tinyint(1) NOT NULL DEFAULT '0',
  `error` text NOT NULL,
  PRIMARY KEY (`id_forms`),
  KEY `idshops` (`browser`),
  KEY `idshops1` (`id_list`),
  KEY `idsms` (`id_code`),
  KEY `sid` (`pass`),
  KEY `sid1` (`sid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;"; $mysql->query($sql);

echo "<br>- Struktura tabeli dla `" . $cfg['prefix'] . "levels`";

$sql = "DROP TABLE IF EXISTS `" . $cfg['prefix'] . "levels`;"; $mysql->query($sql);
$sql = "CREATE TABLE IF NOT EXISTS `" . $cfg['prefix'] . "levels` (
  `id_level` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `acp` tinyint(1) NOT NULL DEFAULT '0',
  `acp_index` tinyint(1) NOT NULL DEFAULT '0',
  `acp_index_stats` tinyint(1) NOT NULL DEFAULT '0',
  `acp_index_chat` tinyint(1) NOT NULL DEFAULT '0',
  `acp_index_last` tinyint(1) NOT NULL DEFAULT '0',
  `acp_uslugi` tinyint(1) NOT NULL DEFAULT '0',
  `acp_uslugi_add` tinyint(1) NOT NULL DEFAULT '0',
  `acp_uslugi_del` tinyint(1) NOT NULL DEFAULT '0',
  `acp_uslugi_return` tinyint(1) NOT NULL DEFAULT '0',
  `acp_uslugi_edit` tinyint(1) NOT NULL DEFAULT '0',
  `acp_uslugi_info` tinyint(1) NOT NULL DEFAULT '0',
  `acp_formularze` tinyint(1) NOT NULL DEFAULT '0',
  `acp_formularze_info` tinyint(1) NOT NULL DEFAULT '0',
  `acp_kodysms` tinyint(1) NOT NULL DEFAULT '0',
  `acp_kodysms_add` tinyint(1) NOT NULL DEFAULT '0',
  `acp_kodysms_del` tinyint(1) NOT NULL DEFAULT '0',
  `acp_kodysms_edit` tinyint(1) NOT NULL DEFAULT '0',
  `acp_uzytkownicy` tinyint(1) NOT NULL DEFAULT '0',
  `acp_uzytkownicy_add` tinyint(1) NOT NULL DEFAULT '0',
  `acp_uzytkownicy_del` tinyint(1) NOT NULL DEFAULT '0',
  `acp_uzytkownicy_edit` tinyint(1) NOT NULL DEFAULT '0',
  `acp_uprawnienia` tinyint(1) NOT NULL DEFAULT '0',
  `acp_uprawnienia_add` tinyint(1) NOT NULL DEFAULT '0',
  `acp_uprawnienia_del` tinyint(1) NOT NULL DEFAULT '0',
  `acp_uprawnienia_edit` tinyint(1) NOT NULL DEFAULT '0',
  `acp_uprawnienia_editsave` tinyint(1) NOT NULL DEFAULT '0',
  `acp_banlista` tinyint(1) NOT NULL DEFAULT '0',
  `acp_banlista_add` tinyint(1) NOT NULL DEFAULT '0',
  `acp_banlista_del` tinyint(1) NOT NULL DEFAULT '0',
  `acp_banlista_edit` tinyint(1) NOT NULL DEFAULT '0',
  `acp_statystyki` tinyint(1) NOT NULL DEFAULT '0',
  `acp_statystyki_info` tinyint(1) NOT NULL DEFAULT '0',
  `acp_rozliczenia` tinyint(1) NOT NULL DEFAULT '0',
  `acp_logowanie` tinyint(1) NOT NULL DEFAULT '0',
  `acp_logowanie_info` tinyint(1) NOT NULL DEFAULT '0',
  `acp_portfel` int(1) NOT NULL DEFAULT '0',
  `acp_portfel_info` tinyint(1) NOT NULL DEFAULT '0',
  `acp_logs` int(1) NOT NULL DEFAULT '0',
  `acp_logs_info` tinyint(1) NOT NULL DEFAULT '0',
  `acp_kategorie` tinyint(1) NOT NULL DEFAULT '0',
  `acp_kategorie_add` tinyint(1) NOT NULL DEFAULT '0',
  `acp_kategorie_del` tinyint(1) NOT NULL DEFAULT '0',
  `acp_kategorie_edit` tinyint(1) NOT NULL DEFAULT '0',
  `acp_strony` tinyint(1) NOT NULL DEFAULT '0',
  `acp_strony_add` tinyint(1) NOT NULL DEFAULT '0',
  `acp_strony_del` tinyint(1) NOT NULL DEFAULT '0',
  `acp_strony_edit` tinyint(1) NOT NULL DEFAULT '0',
  `acp_linki` tinyint(1) NOT NULL DEFAULT '0',
  `acp_linki_add` tinyint(1) NOT NULL DEFAULT '0',
  `acp_linki_del` tinyint(1) NOT NULL DEFAULT '0',
  `acp_linki_edit` tinyint(1) NOT NULL DEFAULT '0',
  `acp_cennik` tinyint(1) NOT NULL DEFAULT '0',
  `acp_cennikdod` tinyint(1) NOT NULL DEFAULT '0',
  `acp_cennikdod_premium` tinyint(1) NOT NULL DEFAULT '0',
  `acp_cennikdod_odznaki` tinyint(1) NOT NULL DEFAULT '0',
  `acp_cennikdod_exp` tinyint(1) NOT NULL DEFAULT '0',
  `acp_cennik_doladuj` tinyint(1) NOT NULL DEFAULT '0',
  `acp_sprzedaz` tinyint(1) NOT NULL DEFAULT '0',
  `acp_sprzedaz_edit` tinyint(1) NOT NULL DEFAULT '0',
  `acp_sprzedaz_save` tinyint(1) NOT NULL DEFAULT '0',
  `acp_platnosci` tinyint(1) NOT NULL DEFAULT '0',
  `acp_platnosci_change` tinyint(1) NOT NULL DEFAULT '0',
  `acp_platnosci_edit` tinyint(1) NOT NULL DEFAULT '0',
  `acp_platnosci_save` tinyint(1) NOT NULL DEFAULT '0',
  `acp_platnosci_online` tinyint(1) NOT NULL DEFAULT '0',
  `acp_platnosci_online_change` tinyint(1) NOT NULL DEFAULT '0',
  `acp_platnosci_online_edit` tinyint(1) NOT NULL DEFAULT '0',
  `acp_platnosci_online_save` tinyint(1) NOT NULL DEFAULT '0',
  `acp_sql` tinyint(1) NOT NULL DEFAULT '0',
  `acp_sql_add` tinyint(1) NOT NULL DEFAULT '0',
  `acp_sql_del` tinyint(1) NOT NULL DEFAULT '0',
  `acp_sql_edit` tinyint(1) NOT NULL DEFAULT '0',
  `acp_serwery` tinyint(1) NOT NULL DEFAULT '0',
  `acp_serwery_add` tinyint(1) NOT NULL DEFAULT '0',
  `acp_serwery_del` tinyint(1) NOT NULL DEFAULT '0',
  `acp_serwery_edit` tinyint(1) NOT NULL DEFAULT '0',
  `acp_serwery_viewpassftp` tinyint(1) NOT NULL DEFAULT '0',
  `acp_serwery_viewpassrcon` tinyint(1) NOT NULL DEFAULT '0',
  `acp_serwery_check` tinyint(1) NOT NULL DEFAULT '0',
  `acp_ustawienia` tinyint(1) NOT NULL DEFAULT '0',
  `acp_pomoc` tinyint(1) NOT NULL DEFAULT '0',
  `acp_dokumentacja` tinyint(1) NOT NULL DEFAULT '0',
  `acp_licencja` tinyint(1) NOT NULL DEFAULT '0',
  `acp_bazy` tinyint(1) NOT NULL DEFAULT '0',
  `acp_bazy_add` tinyint(1) NOT NULL DEFAULT '0',
  `acp_bazy_del` tinyint(1) NOT NULL DEFAULT '0',
  `acp_bazy_edit` tinyint(1) NOT NULL DEFAULT '0',
  `ucp` tinyint(1) NOT NULL DEFAULT '0',
  `editpage` tinyint(1) NOT NULL DEFAULT '0',
  `viewpage` tinyint(1) NOT NULL DEFAULT '0',
  `service_slot` tinyint(1) NOT NULL DEFAULT '1',
  `service_vip` tinyint(1) NOT NULL DEFAULT '1',
  `service_rezerwacja` tinyint(1) NOT NULL DEFAULT '1',
  `service_admin` tinyint(1) NOT NULL DEFAULT '1',
  `service_premium` tinyint(1) NOT NULL DEFAULT '1',
  `service_exp` tinyint(1) NOT NULL DEFAULT '1',
  `service_odznaki` tinyint(1) NOT NULL DEFAULT '1',
  `service_minecraft_vip` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id_level`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;"; $mysql->query($sql);

echo "<br>- Struktura tabeli dla `" . $cfg['prefix'] . "link`";

$sql = "DROP TABLE IF EXISTS `" . $cfg['prefix'] . "link`;"; $mysql->query($sql);
$sql = "CREATE TABLE IF NOT EXISTS `" . $cfg['prefix'] . "link` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nr` int(11) NOT NULL,
  `href` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `on` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;"; $mysql->query($sql);

echo "<br>- Struktura tabeli dla `" . $cfg['prefix'] . "list`";

$sql = "DROP TABLE IF EXISTS `" . $cfg['prefix'] . "list`;"; $mysql->query($sql);
$sql = "CREATE TABLE IF NOT EXISTS `" . $cfg['prefix'] . "list` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_server` int(11) DEFAULT NULL,
  `id_forms` int(11) DEFAULT NULL,
  `id_amxbans` int(11) DEFAULT NULL,
  `username` varchar(32) DEFAULT NULL,
  `password` varchar(32) DEFAULT NULL,
  `accessFlags` varchar(32) DEFAULT NULL,
  `accountFlags` varchar(32) DEFAULT NULL,
  `created` int(11) DEFAULT NULL,
  `expired` int(11) DEFAULT NULL,
  `deleted` int(11) DEFAULT NULL,
  `days` int(11) DEFAULT NULL,
  `active` int(11) DEFAULT NULL,
  `old` int(1) NOT NULL DEFAULT '0',
  `edit` int(11) NOT NULL DEFAULT '0',
  `path` varchar(255) NOT NULL,
  `comment` varchar(255) NOT NULL,
  `gm_access` varchar(32) DEFAULT NULL,
  `gm_expired` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;"; $mysql->query($sql);

echo "<br>- Struktura tabeli dla `" . $cfg['prefix'] . "members`";

$sql = "DROP TABLE IF EXISTS `" . $cfg['prefix'] . "members`;"; $mysql->query($sql);
$sql = "CREATE TABLE IF NOT EXISTS `" . $cfg['prefix'] . "members` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(32) DEFAULT NULL,
  `password` varchar(32) DEFAULT NULL,
  `id_level` int(11) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `gg` varchar(15) DEFAULT NULL,
  `ip` varchar(255) DEFAULT NULL,
  `lastlogin` varchar(32) DEFAULT NULL,
  `browser` varchar(255) DEFAULT NULL,
  `cookie` varchar(32) DEFAULT NULL,
  `session` varchar(32) DEFAULT NULL,
  `active` tinyint(1) NOT NULL DEFAULT '0',
  `portfel` float NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `login` (`username`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;"; $mysql->query($sql);

echo "<br>- Struktura tabeli dla `" . $cfg['prefix'] . "menu_category`";

$sql = "DROP TABLE IF EXISTS `" . $cfg['prefix'] . "menu_category`;"; $mysql->query($sql);
$sql = "CREATE TABLE IF NOT EXISTS `" . $cfg['prefix'] . "menu_category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `nr` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;"; $mysql->query($sql);

echo "<br>- Struktura tabeli dla `" . $cfg['prefix'] . "online_payment`";

$sql = "DROP TABLE IF EXISTS `" . $cfg['prefix'] . "online_payment`;"; $mysql->query($sql);
$sql = "CREATE TABLE IF NOT EXISTS `" . $cfg['prefix'] . "online_payment` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `finish` tinyint(1) NOT NULL DEFAULT '0',
  `wallet` tinyint(1) NOT NULL DEFAULT '0',
  `pay_id` varchar(32) NOT NULL,
  `service` varchar(64) NOT NULL,
  `orderid` varchar(32) NOT NULL,
  `amount` float NOT NULL,
  `userdata` int(11) NOT NULL,
  `status` varchar(32) NOT NULL,
  `sign` varchar(32) NOT NULL,
  `desc` varchar(255) NOT NULL,
  `email` varchar(64) NOT NULL,
  `time_start` int(11) NOT NULL,
  `time_end` int(11) NOT NULL,
  `ip` varchar(32) NOT NULL,
  `ref` varchar(255) NOT NULL,
   PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;"; $mysql->query($sql);

echo "<br>- Struktura tabeli dla `" . $cfg['prefix'] . "pages`";

$sql = "DROP TABLE IF EXISTS `" . $cfg['prefix'] . "pages`;"; $mysql->query($sql);
$sql = "CREATE TABLE IF NOT EXISTS `" . $cfg['prefix'] . "pages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nr` int(11) NOT NULL DEFAULT '0',
  `category` int(11) NOT NULL DEFAULT '0',
  `href` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `text` text NOT NULL,
  `editable` int(1) NOT NULL DEFAULT '1',
  `on` tinyint(1) DEFAULT '1',
  `type` varchar(32) NOT NULL DEFAULT 'normal',
  `backup` text NOT NULL,
  KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;"; $mysql->query($sql);

echo "<br>- Struktura tabeli dla `" . $cfg['prefix'] . "prices_pay`";

$sql = "DROP TABLE IF EXISTS `" . $cfg['prefix'] . "prices_pay`;"; $mysql->query($sql);
$sql = "CREATE TABLE IF NOT EXISTS `" . $cfg['prefix'] . "prices_pay` (
  `tariff` float DEFAULT NULL,
  `doladuj` float NOT NULL,
  `slot` int(11) NOT NULL DEFAULT '0',
  `vip` int(11) NOT NULL DEFAULT '0',
  `rezerwacja` int(11) NOT NULL DEFAULT '0',
  `premium` varchar(50) DEFAULT NULL,
  `odznaki` int(11) NOT NULL DEFAULT '0',
  `admin` int(11) NOT NULL DEFAULT '0',
  `exp` int(11) NOT NULL DEFAULT '0',
  `minecraft_vip` int(11) NOT NULL DEFAULT '0',
  UNIQUE KEY `tariff` (`tariff`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;"; $mysql->query($sql);

echo "<br>- Struktura tabeli dla `" . $cfg['prefix'] . "prices_sms`";

$sql = "DROP TABLE IF EXISTS `" . $cfg['prefix'] . "prices_sms`;"; $mysql->query($sql);
$sql = "CREATE TABLE IF NOT EXISTS `" . $cfg['prefix'] . "prices_sms` (
  `tariff` float NOT NULL,
  `doladuj` float NOT NULL,
  `slot` int(11) NOT NULL DEFAULT '0',
  `vip` int(11) NOT NULL DEFAULT '0',
  `rezerwacja` int(11) NOT NULL DEFAULT '0',
  `premium` int(11) DEFAULT NULL,
  `odznaki` int(11) DEFAULT NULL,
  `admin` int(11) NOT NULL DEFAULT '0',
  `exp` int(11) DEFAULT NULL,
  `minecraft_vip` int(11) NOT NULL DEFAULT '0',
  UNIQUE KEY `tariff` (`tariff`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;"; $mysql->query($sql);

echo "<br>- Struktura tabeli dla `" . $cfg['prefix'] . "servers`";

$sql = "DROP TABLE IF EXISTS `" . $cfg['prefix'] . "servers`;"; $mysql->query($sql);
$sql = "CREATE TABLE IF NOT EXISTS `" . $cfg['prefix'] . "servers` (
  `id_server` int(11) NOT NULL AUTO_INCREMENT,
  `servername` varchar(50) DEFAULT NULL,
  `host` varchar(255) DEFAULT NULL,
  `login` varchar(32) DEFAULT NULL,
  `pass` varchar(255) DEFAULT NULL,
  `pasv` int(1) NOT NULL DEFAULT '1',
  `timeout` int(2) NOT NULL DEFAULT '5',
  `port` int(11) DEFAULT '21',
  `type` varchar(255) DEFAULT NULL,
  `type_sql` varchar(255) DEFAULT NULL,
  `connector` varchar(255) NOT NULL DEFAULT 'FTP',
  `amxbans_db_id` tinyint(4) DEFAULT NULL,
  `amxbans_server_id` tinyint(4) DEFAULT NULL,
  `status` tinyint(1) DEFAULT NULL,
  `last` int(10) DEFAULT NULL,
  `ipport` varchar(255) DEFAULT NULL,
  `rcon` varchar(32) DEFAULT NULL,
  `type_rcon` varchar(255) DEFAULT NULL,
  `slot` int(11) NOT NULL DEFAULT '0',
  `vip` int(11) NOT NULL DEFAULT '0',
  `rezerwacja` int(11) NOT NULL DEFAULT '0',
  `premium` int(11) NOT NULL DEFAULT '0',
  `odznaki` int(11) NOT NULL DEFAULT '0',
  `admin` int(11) NOT NULL DEFAULT '0',
  `exp` int(11) NOT NULL DEFAULT '0',
  `minecraft_vip` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_server`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;"; $mysql->query($sql);

echo "<br>- Struktura tabeli dla `" . $cfg['prefix'] . "service`";

$sql = "DROP TABLE IF EXISTS `" . $cfg['prefix'] . "service`;"; $mysql->query($sql);
$sql = "CREATE TABLE IF NOT EXISTS `" . $cfg['prefix'] . "service` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_server` int(11) DEFAULT NULL,
  `service` varchar(255) NOT NULL,
  `accessFlags` varchar(32) DEFAULT NULL,
  `file` varchar(255) DEFAULT NULL,
  `r1` varchar(255) NOT NULL,
  `r2` varchar(255) NOT NULL,
  `r3` varchar(255) NOT NULL,
  `fp4` varchar(255) NOT NULL,
  `fp5` varchar(255) NOT NULL,
  `day` int(11) DEFAULT NULL,
  `message` text NOT NULL,
  `command` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;"; $mysql->query($sql);

echo "<br>- Struktura tabeli dla `" . $cfg['prefix'] . "service_exp`";

$sql = "DROP TABLE IF EXISTS `" . $cfg['prefix'] . "service_exp`;"; $mysql->query($sql);
$sql = "CREATE TABLE IF NOT EXISTS `" . $cfg['prefix'] . "service_exp` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `serverid` int(11) NOT NULL,
  `nazwa` varchar(32) NOT NULL,
  `flaga` varchar(32) NOT NULL,
  `tariff` int(11) NOT NULL,
  `pay` float NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `serverid` (`serverid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;"; $mysql->query($sql);

echo "<br>- Struktura tabeli dla `" . $cfg['prefix'] . "service_odznaki`";

$sql = "DROP TABLE IF EXISTS `" . $cfg['prefix'] . "service_odznaki`;"; $mysql->query($sql);
$sql = "CREATE TABLE IF NOT EXISTS `" . $cfg['prefix'] . "service_odznaki` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `serverid` int(11) NOT NULL,
  `nazwa` varchar(32) NOT NULL,
  `flaga` varchar(32) NOT NULL,
  `tariff` int(11) NOT NULL,
  `pay` float NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `serverid` (`serverid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;"; $mysql->query($sql);

echo "<br>- Struktura tabeli dla `" . $cfg['prefix'] . "service_premium`";

$sql = "DROP TABLE IF EXISTS `" . $cfg['prefix'] . "service_premium`;"; $mysql->query($sql);
$sql = "CREATE TABLE IF NOT EXISTS `" . $cfg['prefix'] . "service_premium` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `serverid` int(11) NOT NULL,
  `nazwa` varchar(32) NOT NULL,
  `flaga` varchar(32) NOT NULL,
  `tariff` int(11) NOT NULL,
  `pay` float NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `serverid` (`serverid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;"; $mysql->query($sql);

echo "<br>- Struktura tabeli dla `" . $cfg['prefix'] . "sms`";

$sql = "DROP TABLE IF EXISTS `" . $cfg['prefix'] . "sms`;"; $mysql->query($sql);
$sql = "CREATE TABLE IF NOT EXISTS `" . $cfg['prefix'] . "sms` (
  `cash` varchar(255) DEFAULT NULL,
  `content` varchar(32) DEFAULT NULL,
  `number` varchar(255) DEFAULT NULL,
  `tariff` varchar(255) DEFAULT NULL,
  `provision` varchar(255) DEFAULT NULL,
  `reply` varchar(255) DEFAULT NULL,
  KEY `idpay` (`cash`),
  KEY `number` (`number`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;"; $mysql->query($sql);

echo "<br>- Struktura tabeli dla `" . $cfg['prefix'] . "stats`";

$sql = "DROP TABLE IF EXISTS `" . $cfg['prefix'] . "stats`;"; $mysql->query($sql);
$sql = "CREATE TABLE IF NOT EXISTS `" . $cfg['prefix'] . "stats` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `idses` varchar(255) NOT NULL,
  `time` varchar(255) DEFAULT NULL,
  `ip` varchar(255) NOT NULL,
  `host` varchar(255) NOT NULL,
  `ref` varchar(255) NOT NULL,
  `browser` varchar(255) NOT NULL,
  `last` varchar(255) NOT NULL,
  `first` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;"; $mysql->query($sql);
