<?php
require_once(ROOT_PATH . DS . 'config.php');
if (!defined('__SHOP__')) {
	die('');
}
class Install
{
	public function baza()
	{
		global $cfg;
		global $mysql;
		global $newprefix;
		global $install;
		include(ROOT_PATH . DS . 'config.php');
		
		if(!empty($cfg['host']) && !empty($cfg['user']) && !empty($cfg['pass']) && !empty($cfg['database']) && !empty($cfg['prefix'])) {
			$_SESSION['db_host'] = $cfg['host'];
			$_SESSION['db_user'] = $cfg['user'];
			$_SESSION['db_pass'] = $cfg['pass'];
			$_SESSION['db_name'] = $cfg['database'];
			$_SESSION['db_pre'] = $cfg['prefix'];
			$_SESSION['url'] = $cfg['shop_url'];
		} else {
			if(!empty($sql_host) && !empty($sql_user) && !empty($sql_pass) && !empty($sql_db)) {
				$cfg['host'] = $sql_host;
				$cfg['user'] = $sql_user;
				$cfg['pass'] = $sql_pass;
				$cfg['database'] = $sql_db;
				$cfg['prefix'] = $_SESSION['db_pre'];
			} else {
				$cfg['host'] = $_SESSION['db_host'];
				$cfg['user'] = $_SESSION['db_user'];
				$cfg['pass'] = $_SESSION['db_pass'];
				$cfg['database'] = $_SESSION['db_name'];
				$cfg['prefix'] = $_SESSION['db_pre'];
			}
		}
		
		if (!class_exists('mysql')) {
			echo __FILE__ . ":" . __LINE__. "<br>";
			die('Nie można odczytać pliku class_DB.php');
		}
		$mysql = new mysql();
		$mysql->connect();
	}
	public function _makeRandom($len)
	{
		$x = '';
		for ($i = 0; $i < $len; $i++) {
			$x .= mt_rand(0, 9);
		}
		return $x;
	}
	public function setup()
	{
		global $result, $mysql, $cfg;
		global $configLoad;
		global $engine;
		global $login;
		global $login_cfg;
		global $acp;
		global $ucp;
		global $theme;
		global $install;
		
		$configPath = ROOT_PATH . 'config.php';
		if(@file_exists( $configPath )) {
			require_once($configPath);
		}
		
		if ((!empty($cfg['host']) && !empty($cfg['user']) && !empty($cfg['pass']) && !empty($cfg['database'])) && (!isset($_SESSION['setup']) || $_SESSION['setup'] == NULL)) {
			if (!empty($cfg['shop_url'])) {
				if ($_SESSION['Ver'] == VER) {
					header("Location: " . $cfg['shop_url']);
				}
			} else {
				die('Dostęp zabroniony');
			}
		} else {
			if (!empty($cfg['shop_url']) && $_SESSION['setup'] != 'INSTALL') {
				header("Location: " . $cfg['shop_url']);
			}
			if (!class_exists('Theme')) {
				echo __FILE__ . ":" . __LINE__. "<br>";
				die('Nie można odczytać pliku class_Theme.php');
			}
			$theme = new Theme();
			if (!class_exists('Install')) {
				echo __FILE__ . ":" . __LINE__. "<br>";
				die('Nie można odczytać pliku class_Install.php');
			}
			$install = new Install();
			if (isset($_GET['go'])) {
				$go = $_GET['go'];
				if ($go == 1) {
					$_SESSION['err'] = '';
					$_SESSION['setup'] = 'INSTALL';
					include(ROOT_PATH . DS . ACP . DS . 'install' . DS . 'setup' . DS . '01.php');
				}
				if ($go == 2) {
					$_SESSION['err'] = '';
					include(ROOT_PATH . DS . ACP . DS . 'install' . DS . 'setup' . DS . '02.php');
				}
				if ($go == 3) {
					$_SESSION['step'] = 1;
					$_SESSION['err'] = '';
					if (isset($_POST['public_link']) && $_POST['public_link'] != '') {
						$_SESSION['public_link'] = $_POST['public_link'];
					} else {
						$_SESSION['err'] = 'FAIL';
					}
					if (isset($_POST['install_url']) && $_POST['install_url'] != '') {
						$_SESSION['url'] = $_POST['install_url'];
					} else {
						$_SESSION['err'] = 'FAIL';
					}
					if (isset($_POST['db_host']) && $_POST['db_host'] != '') {
						$_SESSION['db_host'] = $_POST['db_host'];
					} else {
						$_SESSION['err'] = 'FAIL';
					}
					if (isset($_POST['db_port']) && $_POST['db_port'] != '') {
						$_SESSION['db_port'] = $_POST['db_port'];
					} else {
						$_SESSION['err'] = 'FAIL';
					}
					if (isset($_POST['db_name']) && $_POST['db_name'] != '') {
						$_SESSION['db_name'] = $_POST['db_name'];
					} else {
						$_SESSION['err'] = 'FAIL';
					}
					if (isset($_POST['db_user']) && $_POST['db_user'] != '') {
						$_SESSION['db_user'] = $_POST['db_user'];
					} else {
						$_SESSION['err'] = 'FAIL';
					}
					if (isset($_POST['db_pass']) && $_POST['db_pass'] != '') {
						$_SESSION['db_pass'] = $_POST['db_pass'];
					} else {
						$_SESSION['err'] = 'FAIL';
					}
					if (isset($_POST['db_pre']) && $_POST['db_pre'] != '') {
						$_SESSION['db_pre'] = $_POST['db_pre'];
					} else {
						$_SESSION['err'] = 'FAIL';
					}
					if ($_SESSION['err'] == 'FAIL') {
						include(ROOT_PATH . DS . ACP . DS . 'install' . DS . 'setup' . DS . '02.php');
					} else {
						try {
							$db_connection = @mysql_connect($_SESSION['db_host'] . ':' . $_SESSION['db_port'], $_SESSION['db_user'], $_SESSION['db_pass'], true);
							$db_selected = @mysql_select_db($_SESSION['db_name'], $db_connection);
							if (!$db_selected) {
								$_SESSION['err'] = 'DB_ERR';
								include(ROOT_PATH . DS . ACP . DS . 'install' . DS . 'setup' . DS . '02.php');
							} else {
								if (!$db_connection) {
									throw new Exception('MySQL Connection Database Error: ' . mysql_error());
								} else {
									$_SESSION['err'] = '';
									include(ROOT_PATH . DS . ACP . DS . 'install' . DS . 'setup' . DS . '03.php');
								}
							}
						}
						catch (Exception $e) {
							$_SESSION['err'] = 'CONN_ERR';
							include(ROOT_PATH . DS . ACP . DS . 'install' . DS . 'setup' . DS . '02.php');
						}
					}
				}
				if ($go == 4) {
					$_SESSION['err'] = '';
					include(ROOT_PATH . DS . ACP . DS . 'install' . DS . 'setup' . DS . '04.php');
				}
				if ($go == 5) {
					$_SESSION['err'] = '';
					include(ROOT_PATH . DS . ACP . DS . 'install' . DS . 'setup' . DS . '05.php');
				}
				if ($go == 'success') {
					$_SESSION['err'] = '';
					
					if (isset($_POST['username']) && $_POST['username'] != '') {
						$username = addslashes($_POST['username']);
					} else {
						$_SESSION['err'] = 'FAIL';
					}
					if (isset($_POST['password']) && $_POST['password'] != '') {
						$password = md5($_POST['password']);
					} else {
						$_SESSION['err'] = 'FAIL';
					}
					if (isset($_POST['confirm_password']) && $_POST['confirm_password'] != '') {
						$confirm_password = md5($_POST['confirm_password']);
					} else {
						$_SESSION['err'] = 'FAIL';
					}
					if (isset($_POST['email']) && $_POST['email'] != '') {
						$email = addslashes($_POST['email']);
					} else {
						$_SESSION['err'] = 'FAIL';
					}
					
					if($_SESSION['err'] == 'FAIL') {
						include(ROOT_PATH . DS . ACP . DS . 'install' . DS . 'setup' . DS . '05.php');
					} else {
						if($confirm_password != $password) {
							$_SESSION['err'] = 'FAIL_PASS';
							include(ROOT_PATH . DS . ACP . DS . 'install' . DS . 'setup' . DS . '05.php');
						} else {
							if (!class_exists('mysql')) {
								echo __FILE__ . ":" . __LINE__. "<br>";
								die('Nie można odczytać pliku class_DB.php');
							}
							$mysql = new mysql();
							$mysql->connect();
							$cookie = $install->_makeRandom(32);
							$sql = "INSERT INTO `" . $cfg['prefix'] . "members` (`id`, `username`, `password`, `id_level`, `email`, `gg`, `ip`, `lastlogin`, `browser`, `cookie`, `session`, `active`, `portfel`) VALUES (NULL, '" . $_POST['username'] . "', '" . md5($_POST['password']) . "', '1', '" . $_POST['email'] . "', NULL, NULL, NULL, NULL, '" . $cookie . "', NULL, '1', '0');";
							$mysql->query($sql);
							$refresh = $_SESSION['url'];
							$_SESSION['setup'] = NULL;
							$_SESSION['step'] = NULL;
							$_SESSION['url'] = NULL;
							$_SESSION['db_host'] = NULL;
							$_SESSION['db_port'] = NULL;
							$_SESSION['db_name'] = NULL;
							$_SESSION['db_user'] = NULL;
							$_SESSION['db_pass'] = NULL;
							$_SESSION['db_pre'] = NULL;
							include(ROOT_PATH . DS . ACP . DS . 'install' . DS . 'setup' . DS . 'success.php');
						}
					}
				} else {
					$_SESSION['err'] = 'FAIL';
				}
				
			} else {
				$_SESSION['err'] = '';
				include(ROOT_PATH . DS . ACP . DS . 'install' . DS . 'setup' . DS . '00.php');
			}
		}
	}
	public static function update()
	{
		global $result, $mysql, $cfg;
		global $configLoad;
		global $engine;
		global $login;
		global $login_cfg;
		global $acp;
		global $ucp;
		global $theme;
		global $install;

		if (!class_exists('Theme')) {
			echo __FILE__ . ":" . __LINE__. "<br>";
			die('Nie można odczytać pliku class_Theme.php');
		}
		$theme = new Theme();
		
		if (isset($_GET['go'])) {
			$go = $_GET['go'];
			if ($go == 1) {
				$_SESSION['err'] = '';
				$_SESSION['setup'] = 'INSTALL';
				if (isset($_POST['public_link']) && $_POST['public_link'] != '') {
					$_SESSION['public_link'] = $_POST['public_link'];
				} else {
					$_SESSION['err'] = 'FAIL';
				}
				include(ROOT_PATH . DS . ACP . DS . 'install' . DS . 'update' . DS . '01.php');
			}
			if ($go == 2) {
				$_SESSION['err'] = '';
				include(ROOT_PATH . DS . ACP . DS . 'install' . DS . 'update' . DS . '02.php');
			}
			if ($go == 3) {
				$_SESSION['err'] = '';
				include(ROOT_PATH . DS . ACP . DS . 'install' . DS . 'update' . DS . '03.php');
			}
			if ($go == 'success') {
				$_SESSION['err'] = '';
				$refresh = $cfg['shop_url'];
				
				$_SESSION['setup'] = NULL;
				$_SESSION['step'] = NULL;
				$_SESSION['url'] = NULL;
				$_SESSION['db_host'] = NULL;
				$_SESSION['db_port'] = NULL;
				$_SESSION['db_name'] = NULL;
				$_SESSION['db_user'] = NULL;
				$_SESSION['db_pass'] = NULL;
				$_SESSION['db_pre'] = NULL;
				include(ROOT_PATH . DS . ACP . DS . 'install' . DS . 'update' . DS . 'success.php');
			} else {
				$_SESSION['err'] = 'FAIL';
			}
			
		} else {
			$_SESSION['err'] = '';
			include(ROOT_PATH . DS . ACP . DS . 'install' . DS . 'update' . DS . '00.php');
		}
	}
}
